Index: /projects/DailyDrillingReport_1.2/XML/HTMLreport/CDRS_example.xml
===================================================================
--- /projects/DailyDrillingReport_1.2/XML/HTMLreport/CDRS_example.xml (revision 189)
+++ /projects/DailyDrillingReport_1.2/XML/HTMLreport/CDRS_example.xml (revision 189)
@@ -0,0 +1,433 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<?xml-stylesheet type="text/xsl" href="ddr_HTMLReport_transformation_2011_02_07.xsl"?>
+<witsml:drillReports 
+	version="1.4.0.0" 
+	xsi:schemaLocation="http://www.witsml.org/schemas/1series WITSML_drillReport_profiled_schema_2011_01_29.xsd" 
+	xmlns:witsml="http://www.witsml.org/schemas/1series" 
+	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
+	<!-- This file is made for test purposes only -->
+
+	<!-- The wellbore 34/10-A-32 C is used only for testing against NPD/PSA 's internal systems.-->
+
+	<!-- None of the information in this file is relevant for this wellbore -->
+
+	<!-- PSA/NPD 20.6.2007.-->
+	<witsml:documentInfo>
+		<witsml:DocumentName>Drill Report</witsml:DocumentName>
+		<witsml:Owner>IIP</witsml:Owner>
+	</witsml:documentInfo> 
+	<witsml:drillReport>
+		<witsml:nameWell>34/10-A-32 C</witsml:nameWell>
+		<witsml:nameWellbore>34/10-A-32 C</witsml:nameWellbore>
+		<witsml:name>witsml:name</witsml:name>
+		<witsml:dTimStart>2006-06-07T00:00:00.000</witsml:dTimStart>
+		<witsml:dTimEnd>2006-06-07T23:00:00.000</witsml:dTimEnd>
+		<witsml:versionKind>preliminary</witsml:versionKind>
+		<witsml:createDate>2006-06-07T13:15:00.000</witsml:createDate>
+		<witsml:wellAlias>
+			<witsml:name>34/10-A-32 C</witsml:name>
+			<witsml:namingSystem>NPD code</witsml:namingSystem>
+		</witsml:wellAlias>
+		<witsml:wellboreAlias>
+			<witsml:name>34/10-A-32 C</witsml:name>
+			<witsml:namingSystem>NPD code</witsml:namingSystem>
+		</witsml:wellboreAlias>
+		<witsml:wellboreAlias>
+			<witsml:name>5026</witsml:name>
+			<witsml:namingSystem>NPD number</witsml:namingSystem>
+		</witsml:wellboreAlias>
+		<witsml:wellDatum defaultVerticalDepth="true" defaultMeasuredDepth="true">
+			<witsml:name>Kelly Bushing</witsml:name>
+			<witsml:code>KB</witsml:code>
+			<witsml:elevation datum="SL" uom="m">23.55</witsml:elevation>
+		</witsml:wellDatum>
+		<witsml:wellDatum>
+			<witsml:name>Sea Level</witsml:name>
+			<witsml:code>SL</witsml:code>
+		</witsml:wellDatum> 
+		<!-- <witsml:wellCRS> <witsml:name>ED50</witsml:name> <witsml:geographic> <witsml:geodeticDatumCode>ED50</witsml:geodeticDatumCode> </witsml:geographic> </witsml:wellCRS> -->
+		<witsml:wellboreInfo>
+			<witsml:dTimSpud>1986-06-06T13:15:00.000</witsml:dTimSpud>
+			<witsml:dTimPreSpud>1982-06-06T13:15:00.000</witsml:dTimPreSpud>
+			<witsml:operator>Statoil</witsml:operator>
+			<witsml:rigAlias>
+				<witsml:name>Statfjord C</witsml:name>
+				<witsml:namingSystem>NPD Name</witsml:namingSystem>
+			</witsml:rigAlias>
+			<witsml:rigAlias>
+				<witsml:name>271329</witsml:name>
+				<witsml:namingSystem>NPD code</witsml:namingSystem>
+			</witsml:rigAlias>
+		</witsml:wellboreInfo>
+		<witsml:statusInfo>
+			<witsml:dTim>2002-01-01T12:00:00</witsml:dTim>
+			<witsml:md uom="m">6898</witsml:md>
+			<witsml:tvd uom="m">4561</witsml:tvd>
+			<witsml:mdPlugTop uom="m">3564.22</witsml:mdPlugTop>
+			<witsml:diaHole uom="in">43.33</witsml:diaHole>
+			<witsml:mdDiaHoleStart uom="m">5935.7</witsml:mdDiaHoleStart>
+			<witsml:diaPilot uom="in"> 45.55</witsml:diaPilot>
+			<witsml:mdDiaPilotPlan uom="m"> 5866.66</witsml:mdDiaPilotPlan>
+			<witsml:mdKickoff uom="m">1233.22</witsml:mdKickoff>
+			<witsml:strengthForm uom="g/cm3">123</witsml:strengthForm>
+			<witsml:mdStrengthForm uom="m">1234</witsml:mdStrengthForm>
+			<witsml:diaCsgLast uom="in">16.6</witsml:diaCsgLast>
+			<witsml:mdCsgLast uom="m">1234.56</witsml:mdCsgLast>
+			<witsml:presTestType>formation integrity test</witsml:presTestType>
+			<witsml:mdPlanned uom="m">78.9</witsml:mdPlanned>
+			<witsml:distDrill uom="m">78.9</witsml:distDrill>
+			<witsml:elevKelly uom="m">23.55</witsml:elevKelly>
+			<witsml:sum24Hr>Yada yada yada</witsml:sum24Hr>
+			<witsml:forecast24Hr>Bla bla bla-this is a test</witsml:forecast24Hr>
+			<witsml:ropCurrent uom="m/h">6.22</witsml:ropCurrent>
+		</witsml:statusInfo>
+		<witsml:bitRecord>
+			<witsml:numBit>1</witsml:numBit>
+			<witsml:diaBit uom="in">46.6</witsml:diaBit>
+			<witsml:manufacturer>Small Bit Builder Inc</witsml:manufacturer>
+			<witsml:codeMfg>SBB</witsml:codeMfg>
+		</witsml:bitRecord>
+		<witsml:fluid>
+			<witsml:type>oil based</witsml:type>
+			<witsml:dTim>2002-01-01T12:00:00</witsml:dTim>
+			<witsml:md uom="m">1235.6</witsml:md>
+			<witsml:tvd uom="m">986.6</witsml:tvd>
+			<witsml:presBopRating uom="bar">77.7</witsml:presBopRating>
+			<witsml:mudClass>oil based</witsml:mudClass>
+			<witsml:density uom="g/cm3">1.85</witsml:density>
+			<witsml:pv uom="mPa.s">33</witsml:pv>
+			<witsml:yp uom="Pa">44.4</witsml:yp>
+		</witsml:fluid>
+		<witsml:fluid>
+			<witsml:type>water based</witsml:type>
+			<witsml:dTim>2002-01-01T12:00:00</witsml:dTim>
+			<witsml:md uom="m">1235.6</witsml:md>
+			<witsml:tvd uom="m">986.6</witsml:tvd>
+			<witsml:presBopRating uom="bar">177.7</witsml:presBopRating>
+			<witsml:mudClass>water based</witsml:mudClass>
+			<witsml:density uom="g/cm3">1.85</witsml:density>
+			<witsml:pv uom="mPa.s">33</witsml:pv>
+			<witsml:yp uom="Pa">44.4</witsml:yp>
+		</witsml:fluid>
+		<witsml:porePressure>
+			<witsml:readingKind>estimated</witsml:readingKind>
+			<witsml:equivalentMudWeight uom="g/cm3">23.1</witsml:equivalentMudWeight>
+			<witsml:dTim>2002-01-01T12:00:00</witsml:dTim>
+			<witsml:md uom="m">321.1</witsml:md>
+			<witsml:tvd uom="m">123.4</witsml:tvd>
+		</witsml:porePressure>
+		<witsml:porePressure>
+			<witsml:readingKind>measured</witsml:readingKind>
+			<witsml:equivalentMudWeight uom="g/cm3">23.5</witsml:equivalentMudWeight>
+			<witsml:dTim>2002-01-01T22:00:00</witsml:dTim>
+			<witsml:md uom="m">321.1</witsml:md>
+			<witsml:tvd uom="m">123.4</witsml:tvd>
+		</witsml:porePressure>
+		<witsml:surveyStation>
+			<witsml:dTim>2002-01-01T22:00:00</witsml:dTim>
+			<witsml:md uom="m">123.4</witsml:md>
+			<witsml:tvd uom="m">123.4</witsml:tvd>
+			<witsml:incl uom="dega">66.6</witsml:incl>
+			<witsml:azi uom="dega">55.5</witsml:azi>
+		</witsml:surveyStation>
+		<witsml:activity>
+			<witsml:dTimStart>2002-01-01T22:00:00</witsml:dTimStart>
+			<witsml:dTimEnd>2002-01-01T23:00:00</witsml:dTimEnd>
+			<witsml:md uom="m">123.4</witsml:md>
+			<witsml:tvd uom="m">100.0</witsml:tvd>
+			<witsml:phase>fixed</witsml:phase>
+			<witsml:proprietaryCode>drilling -- drill</witsml:proprietaryCode>
+			<witsml:state>ok</witsml:state>
+			<witsml:stateDetailActivity>injury</witsml:stateDetailActivity>
+			<witsml:comments>Bla bla bla</witsml:comments>
+		</witsml:activity>
+		<witsml:activity>
+			<witsml:dTimStart>2002-01-01T02:00:00</witsml:dTimStart>
+			<witsml:dTimEnd>2002-01-01T06:00:00</witsml:dTimEnd>
+			<witsml:md uom="m">123.4</witsml:md>
+			<witsml:tvd uom="m">100.0</witsml:tvd>
+			<witsml:phase>snub</witsml:phase>
+			<witsml:proprietaryCode>moving -- transit</witsml:proprietaryCode>
+			<witsml:state>fail</witsml:state>
+			<witsml:stateDetailActivity>kick</witsml:stateDetailActivity>
+			<witsml:comments>Bla bla bla</witsml:comments>
+		</witsml:activity>
+		<witsml:logInfo>
+			<witsml:dTim>2002-01-01T02:00:00</witsml:dTim>
+			<witsml:runNumber>1</witsml:runNumber>
+			<witsml:serviceCompany>Small Service Inc</witsml:serviceCompany>
+			<witsml:mdTop uom="m">4567.6</witsml:mdTop>
+			<witsml:mdBottom uom="m">4668.9</witsml:mdBottom>
+			<witsml:tvdTop uom="m">333.3</witsml:tvdTop>
+			<witsml:tvdBottom uom="m">444.4</witsml:tvdBottom>
+			<witsml:tool>Hammer</witsml:tool>
+			<witsml:tempBHCT uom="degC">85.6</witsml:tempBHCT>
+			<witsml:mdTempTool uom="m">6666.6</witsml:mdTempTool>
+			<witsml:tvdTempTool uom="m">6666.5</witsml:tvdTempTool>
+		</witsml:logInfo>
+		<witsml:logInfo>
+			<witsml:dTim>2002-01-01T03:00:00</witsml:dTim>
+			<witsml:runNumber>2</witsml:runNumber>
+			<witsml:serviceCompany>Small Service Inc</witsml:serviceCompany>
+			<witsml:mdTop uom="m">4567.6</witsml:mdTop>
+			<witsml:mdBottom uom="m">4668.9</witsml:mdBottom>
+			<witsml:tvdTop uom="m">333.3</witsml:tvdTop>
+			<witsml:tvdBottom uom="m">444.4</witsml:tvdBottom>
+			<witsml:tool>Hammer</witsml:tool>
+			<witsml:tempBHST uom="degC">85.6</witsml:tempBHST>
+			<witsml:eTimStatic uom="h">2.3</witsml:eTimStatic>
+			<witsml:mdTempTool uom="m">6666.6</witsml:mdTempTool>
+			<witsml:tvdTempTool uom="m">6666.5</witsml:tvdTempTool>
+		</witsml:logInfo>
+		<witsml:coreInfo>
+			<witsml:dTim>2002-01-01T02:00:00</witsml:dTim>
+			<witsml:coreNumber>1</witsml:coreNumber>
+			<witsml:mdTop uom="m">1234</witsml:mdTop>
+			<witsml:mdBottom uom="m">1234</witsml:mdBottom>
+			<witsml:tvdTop uom="m">1233</witsml:tvdTop>
+			<witsml:tvdBottom uom="m">1233</witsml:tvdBottom>
+			<witsml:lenRecovered uom="m">123</witsml:lenRecovered>
+			<witsml:recoverPc uom="%">89.9</witsml:recoverPc>
+			<witsml:lenBarrel uom="m">33.3</witsml:lenBarrel>
+			<witsml:innerBarrelType>aluminum</witsml:innerBarrelType>
+			<witsml:coreDescription>bla bla bla</witsml:coreDescription>
+		</witsml:coreInfo>
+		<witsml:coreInfo>
+			<witsml:dTim>2002-01-01T03:00:00</witsml:dTim>
+			<witsml:coreNumber>2</witsml:coreNumber>
+			<witsml:mdTop uom="m">1234</witsml:mdTop>
+			<witsml:mdBottom uom="m">1234</witsml:mdBottom>
+			<witsml:tvdTop uom="m">1233</witsml:tvdTop>
+			<witsml:tvdBottom uom="m">1233</witsml:tvdBottom>
+			<witsml:lenRecovered uom="m">123</witsml:lenRecovered>
+			<witsml:recoverPc uom="%">89.9</witsml:recoverPc>
+			<witsml:lenBarrel uom="m">33.3</witsml:lenBarrel>
+			<witsml:innerBarrelType>aluminum</witsml:innerBarrelType>
+			<witsml:coreDescription>bla bla bla</witsml:coreDescription>
+		</witsml:coreInfo>
+		<witsml:wellTestInfo>
+			<witsml:dTim>2002-01-01T02:00:00</witsml:dTim>
+			<witsml:testType>drill stem test</witsml:testType>
+			<witsml:testNumber>1</witsml:testNumber>
+			<witsml:mdTop uom="m">1234.5</witsml:mdTop>
+			<witsml:mdBottom uom="m">2345.6</witsml:mdBottom>
+			<witsml:tvdTop uom="m">1234.5</witsml:tvdTop>
+			<witsml:tvdBottom uom="m">2345.5</witsml:tvdBottom>
+			<witsml:chokeOrificeSize uom="mm">32.1</witsml:chokeOrificeSize>
+			<witsml:densityOil uom="g/cm3">0.86</witsml:densityOil>
+			<witsml:densityWater uom="g/cm3">1.03</witsml:densityWater>
+			<witsml:densityGas uom="g/cm3">0.06</witsml:densityGas>
+			<witsml:flowRateOil uom="m3/d">77.7</witsml:flowRateOil>
+			<witsml:flowRateWater uom="m3/d">7.7</witsml:flowRateWater>
+			<witsml:flowRateGas uom="M(m3)/d">88.8</witsml:flowRateGas>
+			<witsml:presShutIn uom="MPa">44.4</witsml:presShutIn>
+			<witsml:presFlowing uom="MPa">33.3</witsml:presFlowing>
+			<witsml:presBottom uom="MPa">22.2</witsml:presBottom>
+			<witsml:gasOilRatio uom="m3/m3">23</witsml:gasOilRatio>
+			<witsml:waterOilRatio uom="m3/m3">0.33</witsml:waterOilRatio>
+			<witsml:chloride uom="ppm">22.2</witsml:chloride>
+			<witsml:carbonDioxide uom="ppm">11.1</witsml:carbonDioxide>
+			<witsml:hydrogenSulfide uom="ppm">7.3</witsml:hydrogenSulfide>
+			<witsml:volOilTotal uom="m3">9999</witsml:volOilTotal>
+			<witsml:volGasTotal uom="M(m3)">666</witsml:volGasTotal>
+			<witsml:volWaterTotal uom="m3">55</witsml:volWaterTotal>
+			<witsml:volOilStored uom="m3">1365</witsml:volOilStored>
+		</witsml:wellTestInfo>
+		<witsml:wellTestInfo>
+			<witsml:dTim>2002-01-01T03:00:00</witsml:dTim>
+			<witsml:testType>drill stem test</witsml:testType>
+			<witsml:testNumber>2</witsml:testNumber>
+			<witsml:mdTop uom="m">1234.5</witsml:mdTop>
+			<witsml:mdBottom uom="m">2345.6</witsml:mdBottom>
+			<witsml:tvdTop uom="m">1234.5</witsml:tvdTop>
+			<witsml:tvdBottom uom="m">2345.5</witsml:tvdBottom>
+			<witsml:chokeOrificeSize uom="mm">32.1</witsml:chokeOrificeSize>
+			<witsml:densityOil uom="g/cm3">0.86</witsml:densityOil>
+			<witsml:densityWater uom="g/cm3">1.03</witsml:densityWater>
+			<witsml:densityGas uom="g/cm3">0.06</witsml:densityGas>
+			<witsml:flowRateOil uom="m3/d">77.7</witsml:flowRateOil>
+			<witsml:flowRateWater uom="m3/d">7.7</witsml:flowRateWater>
+			<witsml:flowRateGas uom="M(m3)/d">88.8</witsml:flowRateGas>
+			<witsml:presShutIn uom="MPa">44.4</witsml:presShutIn>
+			<witsml:presFlowing uom="MPa">33.3</witsml:presFlowing>
+			<witsml:presBottom uom="MPa">22.2</witsml:presBottom>
+			<witsml:gasOilRatio uom="m3/m3">23</witsml:gasOilRatio>
+			<witsml:waterOilRatio uom="m3/m3">0.33</witsml:waterOilRatio>
+			<witsml:chloride uom="ppm">22.2</witsml:chloride>
+			<witsml:carbonDioxide uom="ppm">11.1</witsml:carbonDioxide>
+			<witsml:hydrogenSulfide uom="ppm">7.3</witsml:hydrogenSulfide>
+			<witsml:volOilTotal uom="m3">9999</witsml:volOilTotal>
+			<witsml:volGasTotal uom="M(m3)">666</witsml:volGasTotal>
+			<witsml:volWaterTotal uom="m3">55</witsml:volWaterTotal>
+			<witsml:volOilStored uom="m3">1365</witsml:volOilStored>
+		</witsml:wellTestInfo>
+		<witsml:formTestInfo>
+			<witsml:dTim>2002-01-01T02:00:00</witsml:dTim>
+			<witsml:md uom="m">1234.5</witsml:md>
+			<witsml:tvd uom="m">1234.5</witsml:tvd>
+			<witsml:presPore uom="MPa">66.5</witsml:presPore>
+			<witsml:goodSeal>true</witsml:goodSeal>
+			<witsml:mdSample uom="m">1224.3</witsml:mdSample>
+			<witsml:dominateComponent>oil</witsml:dominateComponent>
+			<witsml:densityHC uom="g/cm3">0.33</witsml:densityHC>
+			<witsml:volumeSample uom="dm3">11</witsml:volumeSample>
+			<witsml:description>Yada yada yada</witsml:description>
+		</witsml:formTestInfo>
+		<witsml:formTestInfo>
+			<witsml:dTim>2002-01-01T03:00:00</witsml:dTim>
+			<witsml:md uom="m">2234.5</witsml:md>
+			<witsml:tvd uom="m">2234.5</witsml:tvd>
+			<witsml:presPore uom="MPa">66.5</witsml:presPore>
+			<witsml:goodSeal>true</witsml:goodSeal>
+			<witsml:mdSample uom="m">1224.3</witsml:mdSample>
+			<witsml:dominateComponent>oil</witsml:dominateComponent>
+			<witsml:densityHC uom="g/cm3">0.33</witsml:densityHC>
+			<witsml:volumeSample uom="dm3">11</witsml:volumeSample>
+			<witsml:description>Yada yada yada</witsml:description>
+		</witsml:formTestInfo>
+		<witsml:lithShowInfo>
+			<witsml:dTim>2002-01-01T02:00:00</witsml:dTim>
+			<witsml:mdTop uom="m">1234.5</witsml:mdTop>
+			<witsml:mdBottom uom="m">1234.5</witsml:mdBottom>
+			<witsml:tvdTop uom="m">1234.5</witsml:tvdTop>
+			<witsml:tvdBottom uom="m">1234.5</witsml:tvdBottom>
+			<witsml:show>Bla bla bla</witsml:show>
+			<witsml:lithology>Bla bla bla</witsml:lithology>
+		</witsml:lithShowInfo>
+		<witsml:lithShowInfo>
+			<witsml:dTim>2002-01-01T03:00:00</witsml:dTim>
+			<witsml:mdTop uom="m">1234.5</witsml:mdTop>
+			<witsml:mdBottom uom="m">1234.5</witsml:mdBottom>
+			<witsml:tvdTop uom="m">1234.5</witsml:tvdTop>
+			<witsml:tvdBottom uom="m">1234.5</witsml:tvdBottom>
+			<witsml:show>Shows</witsml:show>
+			<witsml:lithology>Lithology</witsml:lithology>
+		</witsml:lithShowInfo>
+		<witsml:equipFailureInfo>
+			<witsml:dTim>2002-01-01T02:00:00</witsml:dTim>
+			<witsml:md uom="m">1234.5</witsml:md>
+			<witsml:tvd uom="m">1234.5</witsml:tvd>
+			<witsml:equipClass>drill floor -- draw works</witsml:equipClass>
+			<witsml:eTimMissProduction uom="min">180</witsml:eTimMissProduction>
+			<witsml:dTimRepair>2002-01-31T02:00:00</witsml:dTimRepair>
+			<witsml:description>Bla bla bla</witsml:description>
+		</witsml:equipFailureInfo>
+		<witsml:equipFailureInfo>
+			<witsml:dTim>2002-01-01T03:00:00</witsml:dTim>
+			<witsml:md uom="m">2234.5</witsml:md>
+			<witsml:tvd uom="m">2234.5</witsml:tvd>
+			<witsml:equipClass>drill floor -- draw works</witsml:equipClass>
+			<witsml:eTimMissProduction uom="min">80</witsml:eTimMissProduction>
+			<witsml:dTimRepair>2002-01-31T04:00:00</witsml:dTimRepair>
+			<witsml:description>Bla bla bla</witsml:description>
+		</witsml:equipFailureInfo>
+		<witsml:controlIncidentInfo>
+			<witsml:dTim>2002-01-01T02:00:00</witsml:dTim>
+			<witsml:mdInflow uom="m">1234.5</witsml:mdInflow>
+			<witsml:tvdInflow uom="m">1234</witsml:tvdInflow>
+			<witsml:phase>wire line</witsml:phase>
+			<witsml:proprietaryCode>drilling -- drill</witsml:proprietaryCode>
+			<witsml:eTimLost uom="min">16</witsml:eTimLost>
+			<witsml:dTimRegained>2002-01-01T02:16:00</witsml:dTimRegained>
+			<witsml:diaBit uom="in">21</witsml:diaBit>
+			<witsml:mdBit uom="m">123</witsml:mdBit>
+			<witsml:wtMud uom="g/cm3">1.23</witsml:wtMud>
+			<witsml:porePressure uom="g/cm3">1.12</witsml:porePressure>
+			<witsml:diaCsgLast uom="in">33</witsml:diaCsgLast>
+			<witsml:mdCsgLast uom="m">123</witsml:mdCsgLast>
+			<witsml:volMudGained uom="m3">112</witsml:volMudGained>
+			<witsml:presShutInCasing uom="bar">44</witsml:presShutInCasing>
+			<witsml:presShutInDrill uom="bar">33</witsml:presShutInDrill>
+			<witsml:incidentType>oil kick</witsml:incidentType>
+			<witsml:killingType>lubricate and bleed</witsml:killingType>
+			<witsml:formation>jura</witsml:formation>
+			<witsml:tempBottom uom="degC">258</witsml:tempBottom>
+			<witsml:presMaxChoke uom="bar">66.3</witsml:presMaxChoke>
+			<witsml:description>Bla bla bal</witsml:description>
+		</witsml:controlIncidentInfo>
+		<witsml:controlIncidentInfo>
+			<witsml:dTim>2002-01-01T03:00:00</witsml:dTim>
+			<witsml:mdInflow uom="m">2234.5</witsml:mdInflow>
+			<witsml:tvdInflow uom="m">2234</witsml:tvdInflow>
+			<witsml:phase>wire line</witsml:phase>
+			<witsml:proprietaryCode>drilling -- drill</witsml:proprietaryCode>
+			<witsml:eTimLost uom="min">16</witsml:eTimLost>
+			<witsml:dTimRegained>2002-01-01T02:16:00</witsml:dTimRegained>
+			<witsml:diaBit uom="in">21</witsml:diaBit>
+			<witsml:mdBit uom="m">123</witsml:mdBit>
+			<witsml:wtMud uom="g/cm3">1.23</witsml:wtMud>
+			<witsml:porePressure uom="g/cm3">1.12</witsml:porePressure>
+			<witsml:diaCsgLast uom="in">33</witsml:diaCsgLast>
+			<witsml:mdCsgLast uom="m">123</witsml:mdCsgLast>
+			<witsml:volMudGained uom="m3">112</witsml:volMudGained>
+			<witsml:presShutInCasing uom="bar">44</witsml:presShutInCasing>
+			<witsml:presShutInDrill uom="bar">33</witsml:presShutInDrill>
+			<witsml:incidentType>oil kick</witsml:incidentType>
+			<witsml:killingType>lubricate and bleed</witsml:killingType>
+			<witsml:formation>jura</witsml:formation>
+			<witsml:tempBottom uom="degC">258</witsml:tempBottom>
+			<witsml:presMaxChoke uom="bar">66.3</witsml:presMaxChoke>
+			<witsml:description>Eq failure</witsml:description>
+		</witsml:controlIncidentInfo>
+		<witsml:stratInfo>
+			<witsml:dTim>2002-01-01T02:00:00</witsml:dTim>
+			<witsml:mdTop uom="m">1234.5</witsml:mdTop>
+			<witsml:tvdTop uom="m">1234</witsml:tvdTop>
+			<witsml:description>bla bla bla</witsml:description>
+		</witsml:stratInfo>
+		<witsml:stratInfo>
+			<witsml:dTim>2002-01-01T03:00:00</witsml:dTim>
+			<witsml:mdTop uom="m">2234.5</witsml:mdTop>
+			<witsml:tvdTop uom="m">2234</witsml:tvdTop>
+			<witsml:description>Strat info</witsml:description>
+		</witsml:stratInfo>
+		<witsml:perfInfo>
+			<witsml:dTimOpen>2002-01-01T02:00:00</witsml:dTimOpen>
+			<witsml:dTimClose>2002-01-01T18:00:00</witsml:dTimClose>
+			<witsml:mdTop uom="m">1033</witsml:mdTop>
+			<witsml:mdBottom uom="m">1234</witsml:mdBottom>
+			<witsml:tvdTop uom="m">999</witsml:tvdTop>
+			<witsml:tvdBottom uom="m">1100</witsml:tvdBottom>
+		</witsml:perfInfo>
+		<witsml:perfInfo>
+			<witsml:dTimOpen>2002-01-01T19:00:00</witsml:dTimOpen>
+			<witsml:dTimClose>2002-01-01T20:00:00</witsml:dTimClose>
+			<witsml:mdTop uom="m">2033</witsml:mdTop>
+			<witsml:mdBottom uom="m">2234</witsml:mdBottom>
+			<witsml:tvdTop uom="m">1999</witsml:tvdTop>
+			<witsml:tvdBottom uom="m">2100</witsml:tvdBottom>
+		</witsml:perfInfo>
+		<witsml:gasReadingInfo>
+			<witsml:dTim>2002-01-01T02:00:00</witsml:dTim>
+			<witsml:readingType>connection gas</witsml:readingType>
+			<witsml:mdTop uom="m">1234</witsml:mdTop>
+			<witsml:mdBottom uom="m">1256</witsml:mdBottom>
+			<witsml:tvdTop uom="m">999</witsml:tvdTop>
+			<witsml:tvdBottom uom="m">1120</witsml:tvdBottom>
+			<witsml:gasHigh uom="%">77.7</witsml:gasHigh>
+			<witsml:gasLow uom="%">44.4</witsml:gasLow>
+			<witsml:meth uom="ppm">55</witsml:meth>
+			<witsml:eth uom="ppm">55</witsml:eth>
+			<witsml:prop uom="ppm">55</witsml:prop>
+			<witsml:ibut uom="ppm">55</witsml:ibut>
+			<witsml:nbut uom="ppm">55</witsml:nbut>
+			<witsml:ipent uom="ppm">55</witsml:ipent>
+		</witsml:gasReadingInfo>
+		<witsml:gasReadingInfo>
+			<witsml:dTim>2002-01-01T03:00:00</witsml:dTim>
+			<witsml:readingType>connection gas</witsml:readingType>
+			<witsml:mdTop uom="m">2234</witsml:mdTop>
+			<witsml:mdBottom uom="m">2256</witsml:mdBottom>
+			<witsml:tvdTop uom="m">1999</witsml:tvdTop>
+			<witsml:tvdBottom uom="m">2120</witsml:tvdBottom>
+			<witsml:gasHigh uom="%">77.7</witsml:gasHigh>
+			<witsml:gasLow uom="%">44.4</witsml:gasLow>
+			<witsml:meth uom="ppm">55</witsml:meth>
+			<witsml:eth uom="ppm">55</witsml:eth>
+			<witsml:prop uom="ppm">55</witsml:prop>
+			<witsml:ibut uom="ppm">55</witsml:ibut>
+			<witsml:nbut uom="ppm">55</witsml:nbut>
+			<witsml:ipent uom="ppm">55</witsml:ipent>
+		</witsml:gasReadingInfo>
+	</witsml:drillReport>
+</witsml:drillReports>
Index: /projects/DailyDrillingReport_1.2/XML/HTMLreport/ddr_HTMLReport_transformation_2011_02_07.xsl
===================================================================
--- /projects/DailyDrillingReport_1.2/XML/HTMLreport/ddr_HTMLReport_transformation_2011_02_07.xsl (revision 171)
+++ /projects/DailyDrillingReport_1.2/XML/HTMLreport/ddr_HTMLReport_transformation_2011_02_07.xsl (revision 189)
@@ -2510,5 +2510,5 @@
 		<tr class="light">
 			<td class="ColHead">
-				<a href="{$url_elevKelly}" target="_blank">Elevation RKB-MSL (<xsl:value-of select="../witsml:statusInfo/witsml:elevKelly/@uom"/>):</a>
+				<a href="{$url_elevKelly}" target="_blank">Elevation RKB-MSL <xsl:value-of select="../witsml:statusInfo/witsml:elevKelly/@uom"/>:</a>
 			</td>
 			<td>
@@ -2516,5 +2516,5 @@
 			</td>
 			<td class="ColHead">
-				<a target="_blank" href="{$urlRDS}">Water Depth MSL (<xsl:value-of select="../witsml:statusInfo/witsml:waterDepth/@uom" />):</a>
+				<a target="_blank" href="{$urlRDS}">Water Depth MSL <xsl:value-of select="../witsml:statusInfo/witsml:waterDepth/@uom" />:</a>
 			</td>
 			<td class="light">
@@ -2615,5 +2615,5 @@
 		<tr class="light">
 			<td class="ColHead">
-				<a target="_blank" href="{$urlRDS}">Pressure (<xsl:value-of select="witsml:avgPresBH/@uom" />):</a>
+				<a target="_blank" href="{$urlRDS}">Pressure <xsl:value-of select="witsml:avgPresBH/@uom" />:</a>
 			</td>
 			<td class="light">
@@ -2621,5 +2621,5 @@
 			</td>
 			<td class="ColHead">
-				<a target="_blank" href="{$urlRDS}">Temperature (<xsl:value-of select="witsml:expTempBH/@uom" />):</a>
+				<a target="_blank" href="{$urlRDS}">Temperature <xsl:value-of select="witsml:expTempBH/@uom" />:</a>
 			</td>
 			<td class="light">