Index: projects/DailyDrillingReport_1.2/XML/PDFreport/ddr_PDFReport_transformation_2011_03_09.xsl
===================================================================
--- projects/DailyDrillingReport_1.2/XML/PDFreport/ddr_PDFReport_transformation_2011_03_09.xsl (revision 188)
+++ projects/DailyDrillingReport_1.2/XML/PDFreport/ddr_PDFReport_transformation_2011_03_09.xsl (revision 190)
@@ -143,8 +143,8 @@
 						</xsl:variable>
 						<fo:table table-layout="fixed" width="100%" border-collapse="collapse">
-							<fo:table-column column-width="proportional-column-width(17.79)" column-number="1"/>
-							<fo:table-column column-width="proportional-column-width(17.33)" column-number="2"/>
-							<fo:table-column column-width="proportional-column-width(18.898)" column-number="3"/>
-							<fo:table-column column-width="proportional-column-width(45.982)" column-number="4"/>
+							<fo:table-column column-width="proportional-column-width(20)" column-number="1"/>
+							<fo:table-column column-width="proportional-column-width(25)" column-number="2"/>
+							<fo:table-column column-width="proportional-column-width(20)" column-number="3"/>
+							<fo:table-column column-width="proportional-column-width(35)" column-number="4"/>
 							<fo:table-body>
 								<fo:table-row>
@@ -924,4 +924,7 @@
 							<xsl:value-of select="$element_equipFailureInfo//xsd:element[@name='md']/@sawsdl:modelReference"/>
 						</xsl:variable>
+						<xsl:variable name="url_tvd">
+							<xsl:value-of select="$element_equipFailureInfo//xsd:element[@name='tvd']/@sawsdl:modelReference"/>
+						</xsl:variable>
 						<xsl:variable name="url_equipClass">
 							<xsl:value-of select="$element_equipFailureInfo//xsd:element[@name='equipClass']/@sawsdl:modelReference"/>
@@ -959,8 +962,9 @@
 												<fo:table-column column-width="proportional-column-width(12)" column-number="1"/>
 												<fo:table-column column-width="proportional-column-width(6)" column-number="2"/>
-												<fo:table-column column-width="proportional-column-width(15)" column-number="3"/>
-												<fo:table-column column-width="proportional-column-width(7)" column-number="4"/>
-												<fo:table-column column-width="proportional-column-width(14)" column-number="5"/>
-												<fo:table-column column-width="proportional-column-width(46)" column-number="6"/>
+												<fo:table-column column-width="proportional-column-width(6)" column-number="3"/>
+												<fo:table-column column-width="proportional-column-width(15)" column-number="4"/>
+												<fo:table-column column-width="proportional-column-width(7)" column-number="5"/>
+												<fo:table-column column-width="proportional-column-width(14)" column-number="6"/>
+												<fo:table-column column-width="proportional-column-width(40)" column-number="7"/>
 												<fo:table-body>
 													<fo:table-row font-weight="bold">
@@ -975,4 +979,10 @@
 															</fo:block>
 															<fo:block>mMD</fo:block>
+														</fo:table-cell>
+														<fo:table-cell>
+															<fo:block>
+																<fo:basic-link external-destination="url({$url_tvd})">Depth</fo:basic-link>
+															</fo:block>
+															<fo:block>mTVD</fo:block>
 														</fo:table-cell>
 														<fo:table-cell>
@@ -1020,4 +1030,13 @@
 																		<fo:inline>
 																			<xsl:value-of select="witsml:md"/>
+																		</fo:inline>
+																	</xsl:if>
+																</fo:block>
+															</fo:table-cell>
+															<fo:table-cell>
+																<fo:block>
+																	<xsl:if test="string(witsml:tvd)">
+																		<fo:inline>
+																			<xsl:value-of select="witsml:tvd"/>
 																		</fo:inline>
 																	</xsl:if>
@@ -1105,17 +1124,18 @@
 										<fo:block>
 											<fo:table table-layout="fixed" width="100%" border-collapse="collapse" text-align="center">
-												<fo:table-column column-width="proportional-column-width(7.692)" column-number="1"/>
-												<fo:table-column column-width="proportional-column-width(6.384)" column-number="2"/>
-												<fo:table-column column-width="proportional-column-width(7.692)" column-number="3"/>
-												<fo:table-column column-width="proportional-column-width(7.692)" column-number="4"/>
-												<fo:table-column column-width="proportional-column-width(6.692)" column-number="5"/>
-												<fo:table-column column-width="proportional-column-width(6.692)" column-number="6"/>
-												<fo:table-column column-width="proportional-column-width(7.692)" column-number="7"/>
-												<fo:table-column column-width="proportional-column-width(7.692)" column-number="8"/>
-												<fo:table-column column-width="proportional-column-width(7.692)" column-number="9"/>
-												<fo:table-column column-width="proportional-column-width(7.692)" column-number="10"/>
-												<fo:table-column column-width="proportional-column-width(7.692)" column-number="11"/>
-												<fo:table-column column-width="proportional-column-width(7.692)" column-number="12"/>
-												<fo:table-column column-width="proportional-column-width(11)" column-number="13"/>
+												<fo:table-column column-width="proportional-column-width(7)" column-number="1"/>
+												<fo:table-column column-width="proportional-column-width(6)" column-number="2"/>
+												<fo:table-column column-width="proportional-column-width(9)" column-number="3"/>
+												<fo:table-column column-width="proportional-column-width(7)" column-number="4"/>
+												<fo:table-column column-width="proportional-column-width(6)" column-number="5"/>
+												<fo:table-column column-width="proportional-column-width(6)" column-number="6"/>
+												<fo:table-column column-width="proportional-column-width(7)" column-number="7"/>
+												<fo:table-column column-width="proportional-column-width(7)" column-number="8"/>
+												<fo:table-column column-width="proportional-column-width(7)" column-number="9"/>
+												<fo:table-column column-width="proportional-column-width(7)" column-number="10"/>
+												<fo:table-column column-width="proportional-column-width(7)" column-number="11"/>
+												<fo:table-column column-width="proportional-column-width(7)" column-number="12"/>
+												<fo:table-column column-width="proportional-column-width(6)" column-number="13"/>
+												<fo:table-column column-width="proportional-column-width(11)" column-number="14"/>
 												<fo:table-body>
 													<fo:table-row font-weight="bold">
@@ -1139,4 +1159,9 @@
 														<fo:table-cell>
 															<fo:block>
+																<fo:basic-link external-destination="url({$url_manufacturer})">Manufacturer</fo:basic-link>
+															</fo:block>
+														</fo:table-cell>
+														<fo:table-cell>
+															<fo:block>
 																<fo:basic-link external-destination="url({$url_codeMfg})">Model</fo:basic-link>
 															</fo:block>
@@ -1252,4 +1277,13 @@
 																		<fo:inline>
 																			<xsl:value-of select="witsml:numBit"/>
+																		</fo:inline>
+																	</xsl:if>
+																</fo:block>
+															</fo:table-cell>
+															<fo:table-cell>
+																<fo:block>
+																	<xsl:if test="string(witsml:manufacturer)">
+																		<fo:inline>
+																			<xsl:value-of select="witsml:manufacturer"/>
 																		</fo:inline>
 																	</xsl:if>
@@ -1834,6 +1868,5 @@
 										<fo:table-row>
 											<fo:table-cell>
-												<fo:block>
-													<fo:leader/>
+												<fo:block> 
 												</fo:block>
 											</fo:table-cell>
@@ -1846,6 +1879,5 @@
 										<fo:table-row>
 											<fo:table-cell>
-												<fo:block>
-													<fo:leader/>
+												<fo:block> 
 												</fo:block>
 											</fo:table-cell>
@@ -2036,5 +2068,5 @@
 					</fo:block>
 					<xslt:comment> Pore pressure </xslt:comment>
-					<fo:block>
+					<fo:block break-before="page">
 						<fo:leader rule-thickness="2px" leader-length="100%" leader-pattern="rule"/>
 						<fo:leader/>
@@ -2335,5 +2367,5 @@
 					</fo:block>
 					<xslt:comment> Log Information </xslt:comment>
-					<fo:block>
+					<fo:block break-before="page">
 						<fo:leader rule-thickness="2px" leader-length="100%" leader-pattern="rule"/>
 						<fo:leader/>
@@ -2736,5 +2768,5 @@
 					</fo:block>
 					<xslt:comment> Well Test Information </xslt:comment>
-					<fo:block>
+					<fo:block break-before="page">
 						<xsl:variable name="element_drillReportWellTestInfo" select="document($ddrSchema)/xsd:schema/xsd:complexType[@name='cs_drillReportWellTestInfo']/xsd:sequence"/>
 						<xsl:variable name="url_dTim">