Index: /projects/DailyDrillingReport_1.2/XML/HTMLreport/readMe_testing.txt
===================================================================
--- /projects/DailyDrillingReport_1.2/XML/HTMLreport/readMe_testing.txt (revision 193)
+++ /projects/DailyDrillingReport_1.2/XML/HTMLreport/readMe_testing.txt (revision 193)
@@ -0,0 +1,19 @@
+RUNNING THE TRANSFORMATION
+*****************************
+Store the ddr_HTMLReport_transformation.xsl, the .css and the schema at some location. Include the processing instruction in the xml to be transformed:
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<?xml-stylesheet type="text/xsl" href="ddr_HTMLReport_transformation_2011_02_07.xsl"?>
+<witsml:drillReports 
+	version="1.4.0.0" 
+	xsi:schemaLocation="http://www.witsml.org/schemas/1series WITSML_drillReport_profiled_schema_2011_01_29.xsd" 
+	xmlns:witsml="http://www.witsml.org/schemas/1series" 
+	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
+
+Open the xml file in a browser, and the content should be formated in HTML
+
+
+TECHNICAL DETAILS
+*******************
+The transformation file has reference to and imports the drill report schema. The reason for this is to enable lookup of element definitions via the RDS URL.
+
+So, the drill report schema must be imported and the schamaLocation (in the import element) has to reflect the location of the file. Furthermore, this file is used when retreiving the RDS reference. As the schema file name might changes when NPD/Ptil is issuing their new official verison, we have introduced a global variable to hold the file name. Thus, if the file name changes, updating the value (i.e. select) of the variable "ddrSchema" should be ok.
Index: /projects/DailyDrillingReport_1.2/XML/HTMLreport/readMe.txt
===================================================================
--- /projects/DailyDrillingReport_1.2/XML/HTMLreport/readMe.txt (revision 130)
+++ /projects/DailyDrillingReport_1.2/XML/HTMLreport/readMe.txt (revision 193)
@@ -2,8 +2,11 @@
 *****************************
 Store the ddr_HTMLReport_transformation.xsl, the .css and the schema at some location. Include the processing instruction in the xml to be transformed:
-
 <?xml version="1.0" encoding="ISO-8859-1"?>
 <?xml-stylesheet type="text/xsl" href="ddr_HTMLReport_transformation.xsl"?>
 <witsml:drillReports 
+	version="1.4.0.0" 
+	xsi:schemaLocation="http://www.witsml.org/schemas/1series WITSML_drillReport_profiled_schema_2011_01_29.xsd" 
+	xmlns:witsml="http://www.witsml.org/schemas/1series" 
+	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
 
 Open the xml file in a browser, and the content should be formated in HTML
Index: /projects/DailyDrillingReport_1.2/XML/PDFreport/readMe_testing.txt
===================================================================
--- /projects/DailyDrillingReport_1.2/XML/PDFreport/readMe_testing.txt (revision 193)
+++ /projects/DailyDrillingReport_1.2/XML/PDFreport/readMe_testing.txt (revision 193)
@@ -0,0 +1,19 @@
+RUNNING THE TRANSFORMATION
+*****************************
+Store the ddr_HTMLReport_transformation.xsl, the .css and the schema at some location. Include the processing instruction in the xml to be transformed:
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<?xml-stylesheet type="text/xsl" href="ddr_PDFReport_transformation_2011_04_07.xsl"?>
+<witsml:drillReports 
+	version="1.4.0.0" 
+	xsi:schemaLocation="http://www.witsml.org/schemas/1series WITSML_drillReport_profiled_schema_2011_01_29.xsd" 
+	xmlns:witsml="http://www.witsml.org/schemas/1series" 
+	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
+
+Open the xml file in a browser, and the content should be formated in HTML
+
+
+TECHNICAL DETAILS
+*******************
+The transformation file has reference to and imports the drill report schema. The reason for this is to enable lookup of element definitions via the RDS URL.
+
+So, the drill report schema must be imported and the schamaLocation (in the import element) has to reflect the location of the file. Furthermore, this file is used when retreiving the RDS reference. As the schema file name might changes when NPD/Ptil is issuing their new official verison, we have introduced a global variable to hold the file name. Thus, if the file name changes, updating the value (i.e. select) of the variable "ddrSchema" should be ok.
Index: /projects/DailyDrillingReport_1.2/XML/PDFreport/readMe.txt
===================================================================
--- /projects/DailyDrillingReport_1.2/XML/PDFreport/readMe.txt (revision 187)
+++ /projects/DailyDrillingReport_1.2/XML/PDFreport/readMe.txt (revision 193)
@@ -2,10 +2,13 @@
 *****************************
 Store the ddr_HTMLReport_transformation.xsl, the .css and the schema at some location. Include the processing instruction in the xml to be transformed:
-
 <?xml version="1.0" encoding="ISO-8859-1"?>
 <?xml-stylesheet type="text/xsl" href="ddr_PDFReport_transformation.xsl"?>
 <witsml:drillReports 
+	version="1.4.0.0" 
+	xsi:schemaLocation="http://www.witsml.org/schemas/1series WITSML_drillReport_profiled_schema.xsd" 
+	xmlns:witsml="http://www.witsml.org/schemas/1series" 
+	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
 
-Open the xml file with a pdf converter(for instance Alt-soft XML2PDF), and the content should be converted to PDF
+Open the xml file in a browser, and the content should be formated in HTML
 
 