Index: projects/DailyDrillingReport_1.2/XML/HTMLreport/css_ddrHtmlReport.css
===================================================================
--- projects/DailyDrillingReport_1.2/XML/HTMLreport/css_ddrHtmlReport.css (revision 130)
+++ projects/DailyDrillingReport_1.2/XML/HTMLreport/css_ddrHtmlReport.css (revision 199)
@@ -5,5 +5,5 @@
 hr {size: 2px; color: #000000 }
  
-.ColHead, A { font-family: Arial Black; font-size:11px; text-decoration:none; color: #000000;}
+.ColHead, A { font-family: Arial Black; font-size:11px; text-decoration:none; color: #000000; text-align:center;}
 
 .SectionHead { font-family: Arial Black; font-size:14px; text-decoration:none; }
@@ -12,5 +12,5 @@
 
 
-.light, BODY { font-family: Arial; font-size:11px; font-weight:normal; font-style:normal; }
+.light, BODY { font-family: Arial; font-size:11px; font-weight:normal; font-style:normal;}
 HR { size: 3px; }
 
Index: projects/DailyDrillingReport_1.2/XML/HTMLreport/ddr_HTMLReport_transformation_2011_02_07.xsl
===================================================================
--- projects/DailyDrillingReport_1.2/XML/HTMLreport/ddr_HTMLReport_transformation_2011_02_07.xsl (revision 190)
+++ projects/DailyDrillingReport_1.2/XML/HTMLreport/ddr_HTMLReport_transformation_2011_02_07.xsl (revision 199)
@@ -40,5 +40,5 @@
 									<!-- Added/changed 18jan2011 -->
 									<tr class="light">
-										<td class="ColHead">
+										<td class="dark">
 											<a target="_blank" href="{$urlRDS}">Report Number:</a>
 										</td>
@@ -46,5 +46,5 @@
 											<xsl:value-of select="witsml:statusInfo/witsml:reportNo" />
 										</td>
-										<td class="ColHead">
+										<td class="dark">
 											<a target="_blank" href="{$urlRDS}">Period:</a>
 										</td>
@@ -58,5 +58,5 @@
 											<xsl:value-of select="$element_objDrillReport_sequence//xsd:element[@name='wellboreInfo']/@sawsdl:modelReference"/>
 										</xsl:variable>
-										<td class="ColHead">
+										<td class="dark">
 											<a target="_blank" href="{$urlRDS}">Wellbore:</a>
 										</td>
@@ -64,5 +64,5 @@
 											<xsl:value-of select="witsml:wellboreAlias[witsml:namingSystem='NPD code']/witsml:name"/>
 										</td>
-										<td class="ColHead">
+										<td class="dark">
 											<a target="_blank" href="{$urlRDS}">Wellbore Id:</a>
 										</td>
@@ -169,26 +169,26 @@
 										</xsl:variable>
 										<tr>
-											<td width="50" align="left" valign="top">
+											<td width="50" valign="top">
 												<a href="{$url_dTimStart}" target="_blank">Start Time</a>
 											</td>
-											<td width="50" align="left" valign="top">
+											<td width="50" valign="top">
 												<a href="{$url_dTimEnd}" target="_blank">End Time</a>
 											</td>
-											<td width="60" align="left" valign="top">
+											<td width="60" valign="top">
 												<a href="{$url_md}" target="_blank">Start Depth mMD</a>
 											</td>
-											<td width="60" align="left" valign="top">
+											<td width="60" valign="top">
 												<a href="{$url_md}" target="_blank">End Depth mMD</a>
 											</td>
-											<td width="60" align="left" valign="top">
+											<td width="60" valign="top">
 												<a href="{$url_md}" target="_blank">Depth mMD</a>
 											</td>
-											<td width="120" align="left" valign="top">
+											<td width="120" valign="top">
 												<a href="{$url_proprietaryCode}" target="_blank">Main Oper Class</a>
 											</td>
-											<td width="80" align="left" valign="top">
+											<td width="80" valign="top">
 												<a href="{$url_state}" target="_blank">Main Oper Eval Class</a>
 											</td>
-											<td align="left" valign="top">
+											<td valign="top" align="left">
 												<a href="{$url_comments}" target="_blank">
 													<b>Remark</b>
@@ -219,5 +219,5 @@
 													<xsl:value-of select="witsml:state"/>
 												</td>
-												<td>
+												<td align="left">
 													<xsl:value-of select="witsml:comments"/>
 												</td>
@@ -268,14 +268,14 @@
 										</xsl:variable>
 										<tr>
-											<td width="80" align="left" valign="top">
+											<td width="80" valign="top" align="center">
 												<a href="{$url_dTim}" target="_blank">Start</a>
 											</td>
-											<td width="60" align="left" valign="top">
+											<td width="60" valign="top" align="center">
 												<a href="{$url_md}" target="_blank">Depth mMD</a>
 											</td>
-											<td width="60" align="left" valign="top">
+											<td width="60" valign="top" align="center">
 												<a href="{$url_md}" target="_blank">Depth mTVD</a>
 											</td>
-											<td width="120" align="left" valign="top">
+											<td width="120" valign="top" align="center">
 												<a href="{$url_equipClass}" target="_blank">Sub Equip Syst Class</a>
 											</td>
@@ -295,5 +295,5 @@
 											</table>
 										</td>-->
-											<td width="100" align="left" valign="top">
+											<td width="100" valign="top">
 												<a href="{$url_dTimRepair}" target="_blank">Equipment Repaired</a>
 											</td>
@@ -322,5 +322,5 @@
 													<xsl:value-of select="substring(witsml:dTimRepair, 0 ,17)"/>
 												</td>
-												<td valign="top">
+												<td valign="top" align="left">
 													<xsl:value-of select="witsml:description"/>
 												</td>
@@ -543,5 +543,5 @@
 												</a>
 											</td>
-											<td align="center" width="100" valign="top">
+											<td align="left" width="100" valign="top">
 												<a target="_blank" href="{$urlRDS}">Description</a>
 											</td>
@@ -584,5 +584,5 @@
 													<xsl:value-of select="witsml:mdBottom"/>
 												</td>
-												<td align="center">
+												<td align="left">
 													<xsl:value-of select="witsml:casing_liner_tubing_run/witsml:description"/>
 												</td>
@@ -661,5 +661,5 @@
 													<a target="_blank" href="{$urlRDS}">Rotated</a>
 												</td>
-												<td align="center" width="100" valign="top">
+												<td align="left" width="100" valign="top">
 													<a target="_blank" href="{$urlRDS}">Comments</a>
 												</td>
@@ -715,5 +715,5 @@
 													<xsl:if test="witsml:rotated='false' or witsml:rotated='0'">no</xsl:if>
 												</td>
-												<td align="center">
+												<td align="left">
 													<xsl:value-of select="witsml:comments"/>
 												</td>
@@ -787,5 +787,5 @@
 														</a>
 													</td>
-													<td align="center" width="100" valign="top">
+													<td align="left" width="100" valign="top">
 														<a target="_blank" href="{$urlRDS}">Comments</a>
 													</td>
@@ -818,5 +818,5 @@
 															<xsl:value-of select="witsml:eTimThickening"/>
 														</td>
-														<td align="center">
+														<td align="left">
 															<xsl:value-of select="witsml:comments"/>
 														</td>
@@ -1614,5 +1614,5 @@
 													<xsl:value-of select="witsml:volumeSample"/>
 												</td>
-												<td>
+												<td align="left">
 													<xsl:value-of select="witsml:description"/>
 												</td>
@@ -1671,5 +1671,5 @@
 													<xsl:value-of select="witsml:tvdTop"/>
 												</td>
-												<td>
+												<td align="left">
 													<xsl:value-of select="witsml:description"/>
 												</td>
@@ -1844,8 +1844,8 @@
 										</xsl:variable>
 										<tr>
-											<td width="60" align="left" valign="top">
+											<td width="60" align="center" valign="top">
 												<a href="{$url_dTim}" target="_blank">Date</a>
 											</td>
-											<td width="60" align="left" valign="top">
+											<td width="60" align="center" valign="top">
 												<table width="100%">
 													<tr>
@@ -1859,5 +1859,5 @@
 												</table>
 											</td>
-											<td width="60" align="left" valign="top">
+											<td width="60" align="center" valign="top">
 												<table id="two">
 													<tr>
@@ -1871,5 +1871,5 @@
 												</table>
 											</td>
-											<td width="60" align="left" valign="top">
+											<td width="60" align="center" valign="top">
 												<table id="two" width="100%">
 													<tr>
@@ -1885,11 +1885,11 @@
 												</table>
 											</td>
-											<td width="60" align="left" valign="top">
+											<td width="60" align="center" valign="top">
 												<a href="{$url_dTimRegained}" target="_blank">Time for Well Control Regain</a>
 											</td>
 											<!-- 
-													<td width="60" align="left" valign="top"><a href="{$url_controlIncidentInfo}" target="_blank">Drill Bit Dia <xsl:value-of select="witsml:controlIncidentInfo/witsml:diaBit/@uom"/></a></td>
+													<td width="60" align="center" valign="top"><a href="{$url_controlIncidentInfo}" target="_blank">Drill Bit Dia <xsl:value-of select="witsml:controlIncidentInfo/witsml:diaBit/@uom"/></a></td>
 													 -->
-											<td width="60" align="left" valign="top">
+											<td width="60" align="center" valign="top">
 												<table id="two" width="100%">
 													<tr>
@@ -1932,5 +1932,5 @@
 											</td>
 											<!-- 
-													<td width="80" align="left"><a href="{$url_controlIncidentInfo}" target="_blank">Dia of Last Casing <xsl:value-of select="witsml:controlIncidentInfo/witsml:diaCsgLast/@uom"/></a></td>
+													<td width="80" align="center"><a href="{$url_controlIncidentInfo}" target="_blank">Dia of Last Casing <xsl:value-of select="witsml:controlIncidentInfo/witsml:diaCsgLast/@uom"/></a></td>
 													 -->
 											<td width="80" align="center" valign="top">
@@ -2011,5 +2011,5 @@
 												</table>
 											</td>
-											<!-- <td width="80" align="left"><a href="{$url_controlIncidentInfo}" target="_blank">Max Choke Valve Pressure <xsl:value-of select="witsml:controlIncidentInfo/witsml:presMaxChoke/@uom"/></a></td> -->
+											<!-- <td width="80" align="center"><a href="{$url_controlIncidentInfo}" target="_blank">Max Choke Valve Pressure <xsl:value-of select="witsml:controlIncidentInfo/witsml:presMaxChoke/@uom"/></a></td> -->
 										</tr>
 										<!--  End header -->
@@ -2069,5 +2069,5 @@
 										<tr>
 											<td/>
-											<td colspan="15">
+											<td align="left" colspan="16">
 												<xsl:value-of select="witsml:description"/>
 											</td>
@@ -2496,5 +2496,5 @@
 		</xsl:variable>
 		<tr class="light">
-			<td class="ColHead">
+			<td class="dark">
 				<a target="_blank" href="{$url_operator}">Operator:</a>
 			</td>
@@ -2502,5 +2502,5 @@
 				<xsl:value-of select="witsml:operator"/>
 			</td>
-			<td class="ColHead">
+			<td class="dark">
 				<a target="_blank" href="{$url_drillContractor}">Drilling contractor:</a>
 			</td>
@@ -2510,5 +2510,5 @@
 		</tr>
 		<tr class="light">
-			<td class="ColHead">
+			<td class="dark">
 				<a href="{$url_rigAlias}" target="_blank">Rig Name:</a>
 			</td>
@@ -2516,5 +2516,5 @@
 				<xsl:value-of select="witsml:rigAlias[witsml:namingSystem='NPD Name']/witsml:name"/>
 			</td>
-			<td class="ColHead">
+			<td class="dark">
 				<a href="{$url_rigAlias}" target="_blank">NPD Rig Id:</a>
 			</td>
@@ -2524,5 +2524,5 @@
 		</tr>
 		<tr class="light">
-			<td class="ColHead">
+			<td class="dark">
 				<a href="{$url_elevKelly}" target="_blank">Elevation RKB-MSL <xsl:value-of select="../witsml:statusInfo/witsml:elevKelly/@uom"/>:</a>
 			</td>
@@ -2530,5 +2530,5 @@
 				<xsl:value-of select="../witsml:statusInfo/witsml:elevKelly"/>
 			</td>
-			<td class="ColHead">
+			<td class="dark">
 				<a target="_blank" href="{$urlRDS}">Water Depth MSL <xsl:value-of select="../witsml:statusInfo/witsml:waterDepth/@uom" />:</a>
 			</td>
@@ -2538,5 +2538,5 @@
 		</tr>
 		<tr class="light">
-			<td class="ColHead">
+			<td class="dark">
 				<a target="_blank" href="{$url_dTimSpud}">Spud Date:</a>
 			</td>
@@ -2545,8 +2545,8 @@
 			</td>
 			<!-- 
-			<td class="ColHead"><a target="_blank" href="{url_dTimPreSpud}">Pre Spud Time:</a></td>
+			<td class="dark"><a target="_blank" href="{url_dTimPreSpud}">Pre Spud Time:</a></td>
 			<td><xsl:value-of select="substring-before(witsml:dTimPreSpud, 'T')" /></td>
 			 -->
-			<td class="ColHead">
+			<td class="dark">
 				<a target="_blank" href="{$url_dateDrillComplete}">Date Well Complete:</a>
 			</td>
@@ -2611,5 +2611,5 @@
 		<xsl:variable name="urlRDS" select="'http://www.posccaesar.org'"/>
 		<tr class="light">
-			<td class="ColHead">
+			<td class="dark">
 				<a target="_blank" href="{$urlRDS}">Tight well:</a>
 			</td>
@@ -2618,5 +2618,5 @@
 				<xsl:if test="witsml:tightWell='false' or witsml:tightWell='0'">no</xsl:if>
 			</td>
-			<td class="ColHead">
+			<td class="dark">
 				<a target="_blank" href="{$urlRDS}">High Pressure - High Temperature:</a>
 			</td>
@@ -2629,5 +2629,5 @@
 		<!-- Added 26jan2011 -->
 		<tr class="light">
-			<td class="ColHead">
+			<td class="dark">
 				<a target="_blank" href="{$urlRDS}">Pressure <xsl:value-of select="witsml:avgPresBH/@uom" />:</a>
 			</td>
@@ -2635,5 +2635,5 @@
 				<xsl:value-of select="witsml:avgPresBH"/>
 			</td>
-			<td class="ColHead">
+			<td class="dark">
 				<a target="_blank" href="{$urlRDS}">Temperature <xsl:value-of select="witsml:expTempBH/@uom" />:</a>
 			</td>
@@ -2645,5 +2645,5 @@
 			<!-- END Added 26jan2011 -->
 			<!-- Added 07feb2011 -->
-			<td class="ColHead">
+			<td class="dark">
 				<a target="_blank" href="{$urlRDS}">Fixed rig:</a>
 			</td>