Index: projects/DailyDrillingReport_1.2/XML/HTMLreport/WITSML_drillReport_profiled_schema_2011_01_29.xsd
===================================================================
--- projects/DailyDrillingReport_1.2/XML/HTMLreport/WITSML_drillReport_profiled_schema_2011_01_29.xsd (revision 180)
+++ projects/DailyDrillingReport_1.2/XML/HTMLreport/WITSML_drillReport_profiled_schema_2011_01_29.xsd (revision 213)
@@ -201,5 +201,6 @@
 			<xsd:element name="dullGrade" type="witsml:str32" minOccurs="0" maxOccurs="1">
 				<xsd:annotation>
-					<xsd:documentation>Dull grade according to IADC?</xsd:documentation>
+					<xsd:documentation>A 'code string class' tha is the identifier of an 
+					'IADC rock drill bit dull grade class'. Example: "0/4/BT/B/X/I/BU/DTF".</xsd:documentation>
 					<!-- PROFILE: Added element dullGrade -->
 				</xsd:annotation>
@@ -247,15 +248,15 @@
 			<xsd:element name="eTimOpBit" type="witsml:timeMeasureHour" minOccurs="0" maxOccurs="1">
 				<xsd:annotation>
-					<xsd:documentation>Operating time spent by bit for run.</xsd:documentation>
+					<xsd:documentation>Operating time spent by bit during the reporting periode.</xsd:documentation>
 				</xsd:annotation>
 			</xsd:element>
 			<xsd:element name="mdHoleStart" type="witsml:measuredDepthCoord" minOccurs="0" maxOccurs="1">
 				<xsd:annotation>
-					<xsd:documentation>Measured depth at start.</xsd:documentation>
+					<xsd:documentation>Measured depth at start of reporting period.</xsd:documentation>
 				</xsd:annotation>
 			</xsd:element>
 			<xsd:element name="mdHoleStop" type="witsml:measuredDepthCoord" minOccurs="0" maxOccurs="1">
 				<xsd:annotation>
-					<xsd:documentation>Measured depth at stop.</xsd:documentation>
+					<xsd:documentation>Measured depth at end of reporting period.</xsd:documentation>
 				</xsd:annotation>
 			</xsd:element>
@@ -299,10 +300,5 @@
 				</xsd:annotation>
 			</xsd:element>
-			<xsd:element name="ropMx" type="witsml:velocityMeasureMetresPerHour" minOccurs="0" maxOccurs="1">
-				<!-- PROFILE: Changed type from witsml:velocityMeasure to witsml:velocityMeasureMetresPerHour for element ropMx-->
-				<xsd:annotation>
-					<xsd:documentation>Maximum rate of penetration through Interval.</xsd:documentation>
-				</xsd:annotation>
-			</xsd:element>
+			<!--PROFILE: Deleted element ropMx.-->
 			<!--PROFILE: Deleted element ropMn.-->
 			<!--PROFILE: Deleted element wobAv.-->
@@ -345,4 +341,10 @@
 				<xsd:annotation>
 					<xsd:documentation>Total accumulated Hours of drilling for the entire run.</xsd:documentation>
+				</xsd:annotation>
+			</xsd:element>
+			<xsd:element name="totRop" type="witsml:velocityMeasureMetresPerHour" minOccurs="0" maxOccurs="1">
+				<!-- PROFILE: Added element totRop. -->
+				<xsd:annotation>
+					<xsd:documentation>Total accumulated Rate of penetration for the entire run.</xsd:documentation>
 				</xsd:annotation>
 			</xsd:element>
@@ -569,5 +571,5 @@
 			<!-- PROFILE: Deleted element volWater -->
 			<!-- PROFILE: Deleted element volCement -->
-			<xsd:element name="ratioMixWater" type="witsml:specificVolumeMeasure" minOccurs="0" maxOccurs="1">
+			<xsd:element name="ratioMixWater" type="witsml:specificVolumeMeasureUsGallonsPerSack94" minOccurs="0" maxOccurs="1">
 				<xsd:annotation>
 					<xsd:documentation>Mix Water Ratio.</xsd:documentation>
@@ -593,5 +595,5 @@
 			<!-- PROFILE: Deleted element fluidRheologicalModel -->
 			<!-- PROFILE: Deleted element vis -->
-			<xsd:element name="yp" type="witsml:pressureMeasure" minOccurs="0" maxOccurs="1">
+			<xsd:element name="yp" type="witsml:specificVolumeMeasureCubicFeetPer94PoundSack" minOccurs="0" maxOccurs="1">
 				<xsd:annotation>
 					<xsd:documentation>Yield point (Bingham and Herschel Bulkley models).</xsd:documentation>
@@ -622,5 +624,5 @@
 			<!-- PROFILE: Deleted element ratioConstGasMethodEnd -->
 			<!-- PROFILE: Deleted element densConstGasFoam -->
-			<xsd:element name="eTimThickening" type="witsml:timeMeasure" minOccurs="0" maxOccurs="1">
+			<xsd:element name="eTimThickening" type="witsml:timeMeasureHour" minOccurs="0" maxOccurs="1">
 				<xsd:annotation>
 					<xsd:documentation>Test thickening time.</xsd:documentation>
@@ -2327,5 +2329,5 @@
 			<xsd:element name="grade" type="witsml:str32" minOccurs="0" maxOccurs="1">
 				<xsd:annotation>
-					<xsd:documentation>Nominal grade.</xsd:documentation>
+					<xsd:documentation>A 'code string class' that is representing members of 'API 5CT 7th. edition grade class'</xsd:documentation>
 					<!-- PROFILE: Added element grade -->
 				</xsd:annotation>
@@ -2333,5 +2335,6 @@
 			<xsd:element name="connection" type="witsml:positiveCount" minOccurs="0" maxOccurs="1">
 				<xsd:annotation>
-					<xsd:documentation>Nominal connection.</xsd:documentation>
+					<xsd:documentation>A 'code string class' that is a standardrised set of strings used in a 
+					'daily drilling report' to identify a member of 'daily drilling report connection class'</xsd:documentation>
 					<!-- PROFILE: Added element connection -->
 				</xsd:annotation>
@@ -2372,7 +2375,7 @@
 		</xsd:annotation>
 		<xsd:sequence>
-			<xsd:element name="tubularJobType" type="witsml:tubularJobTypes" minOccurs="1" maxOccurs="1">
-				<xsd:annotation>
-					<xsd:documentation>The type of stage for the stimulation job.</xsd:documentation>
+			<xsd:element name="casingType" type="witsml:casingTypes" minOccurs="1" maxOccurs="1">
+				<xsd:annotation>
+					<xsd:documentation>The casing type used in this tubular job stage.</xsd:documentation>
 				</xsd:annotation>
 			</xsd:element>
@@ -2496,5 +2499,5 @@
 	</xsd:simpleType>
 	<!-- Casing type -->
-	<xsd:simpleType name="tubularJobTypes">
+	<xsd:simpleType name="casingTypes">
 		<xsd:annotation>
 			<xsd:documentation>The type of casing, used to determant which type of casing is used.</xsd:documentation>