Index: projects/DailyDrillingReport_1.2/XML/HTMLreport/ddr_HTMLReport_transformation_2011_02_07.xsl
===================================================================
--- projects/DailyDrillingReport_1.2/XML/HTMLreport/ddr_HTMLReport_transformation_2011_02_07.xsl (revision 213)
+++ projects/DailyDrillingReport_1.2/XML/HTMLreport/ddr_HTMLReport_transformation_2011_02_07.xsl (revision 221)
@@ -36,4 +36,10 @@
 							<xsl:variable name="element_objDrillReport_sequence" select="document($ddrSchema)/xsd:schema/xsd:complexType[@name='obj_drillReport']/xsd:sequence/xsd:sequence"/>
 							<xsl:variable name="element_statusInfo" select="document($ddrSchema)/xsd:schema/xsd:complexType[@name='statusInfo']/xsd:sequence"/>
+							<xsl:variable name="url_reportNo">
+								<xsl:value-of select="$element_statusInfo//xsd:element[@name='reportNo']/@sawsdl:modelReference"/>
+							</xsl:variable>
+							<xsl:variable name="url_dTimEnd">
+								<xsl:value-of select="element_objDrillReport_sequence//xsd:element[@name='dTimEnd']/@sawsdl:modelReference"/>
+							</xsl:variable>
 							<td>
 								<table id="table1" width="100%">
@@ -41,5 +47,5 @@
 									<tr class="light">
 										<td class="dark">
-											<a target="_blank" href="{$urlRDS}">Report Number:</a>
+											<a target="_blank" href="{$url_reportNo}">Report Number:</a>
 										</td>
 										<td class="light">
@@ -47,5 +53,5 @@
 										</td>
 										<td class="dark">
-											<a target="_blank" href="{$urlRDS}">Period:</a>
+											<a target="_blank" href="{$url_dTimEnd}">Period:</a>
 										</td>
 										<td colspan="2">
@@ -362,4 +368,28 @@
 											<xsl:value-of select="$element_bitRecord//xsd:element[@name='manufacturer']/@sawsdl:modelReference"/>
 										</xsl:variable>
+										<xsl:variable name="url_eTimOpBit">
+											<xsl:value-of select="$element_bitRecord/bitRun//xsd:element[@name='eTimOpBit']/@sawsdl:modelReference"/>
+										</xsl:variable>
+										<xsl:variable name="url_mdHoleStart">
+											<xsl:value-of select="$element_bitRecord/bitRun//xsd:element[@name='mdHoleStart']/@sawsdl:modelReference"/>
+										</xsl:variable>
+										<xsl:variable name="url_mdHoleStop">
+											<xsl:value-of select="$element_bitRecord/bitRun//xsd:element[@name='mdHoleStop']/@sawsdl:modelReference"/>
+										</xsl:variable>
+										<xsl:variable name="url_ropAv">
+											<xsl:value-of select="$element_bitRecord/bitRun//xsd:element[@name='ropAv']/@sawsdl:modelReference"/>
+										</xsl:variable>
+										<xsl:variable name="url_mdTotHoleMade">
+											<xsl:value-of select="$element_bitRecord/bitRun//xsd:element[@name='mdTotHoleMade']/@sawsdl:modelReference"/>
+										</xsl:variable>
+										<xsl:variable name="url_totHrsDrilled">
+											<xsl:value-of select="$element_bitRecord/bitRun//xsd:element[@name='totHrsDrilled']/@sawsdl:modelReference"/>
+										</xsl:variable>
+										<xsl:variable name="url_totRop">
+											<xsl:value-of select="$element_bitRecord/bitRun//xsd:element[@name='totRop']/@sawsdl:modelReference"/>
+										</xsl:variable>
+										<xsl:variable name="url_dullGrade">
+											<xsl:value-of select="$element_bitRecord/bitRun//xsd:element[@name='dullGrade']/@sawsdl:modelReference"/>
+										</xsl:variable>
 										<tr>
 											<td align="center" width="50" valign="top">
@@ -377,50 +407,50 @@
 											</td>
 											<td align="center" width="50" valign="top">
-												<a target="_blank" href="{$urlRDS}">Hours drilled<br />
+												<a target="_blank" href="{$url_eTimOpBit}">Hours drilled<br />
 													<xsl:value-of select="witsml:bitRecord/witsml:bitRun/witsml:eTimOpBit/@uom"/>
 												</a>
 											</td>
 											<td align="center" width="50" valign="top">
-												<a target="_blank" href="{$urlRDS}">MD start<br />
+												<a target="_blank" href="{$url_mdHoleStart}">MD start<br />
 													<xsl:value-of select="witsml:bitRecord/witsml:bitRun/witsml:mdHoleStart/@uom"/>
 												</a>
 											</td>
 											<td align="center" width="50" valign="top">
-												<a target="_blank" href="{$urlRDS}">MD end<br />
+												<a target="_blank" href="{$url_mdHoleStop}">MD end<br />
 													<xsl:value-of select="witsml:bitRecord/witsml:bitRun/witsml:mdHoleStop/@uom"/>
 												</a>
 											</td>
 											<td align="center" width="60" valign="top">
-												<a target="_blank" href="{$urlRDS}">Hole made (last 24H)<br />
+												<a target="_blank" href="{$url_mdHoleStop}">Hole made (last 24H)<br />
 													<xsl:value-of select="witsml:bitRecord/witsml:bitRun/witsml:mdHoleStop/@uom"/>
 												</a>
 											</td>
 											<td align="center" width="60" valign="top">
-												<a target="_blank" href="{$urlRDS}">Hours drilled (last 24H)<br />
+												<a target="_blank" href="{$url_eTimOpBit}">Hours drilled (last 24H)<br />
 													<xsl:value-of select="witsml:bitRecord/witsml:bitRun/witsml:eTimOpBit/@uom"/>
 												</a>
 											</td>
 											<td align="center" width="60" valign="top">
-												<a target="_blank" href="{$urlRDS}">ROP<br />(last 24H)<br />
+												<a target="_blank" href="{$url_ropAv}">ROP<br />(last 24H)<br />
 													<xsl:value-of select="witsml:bitRecord/witsml:bitRun/witsml:ropAv/@uom"/>
 												</a>
 											</td>
 											<td align="center" width="60" valign="top">
-												<a target="_blank" href="{$urlRDS}">Total<br />hole made<br />
+												<a target="_blank" href="{$url_mdTotHoleMade}">Total<br />hole made<br />
 													<xsl:value-of select="witsml:bitRecord/witsml:bitRun/witsml:mdTotHoleMade/@uom"/>
 												</a>
 											</td>
 											<td align="center" width="60" valign="top">
-												<a target="_blank" href="{$urlRDS}">Total hours drilled<br />
+												<a target="_blank" href="{$url_totHrsDrilled}">Total hours drilled<br />
 													<xsl:value-of select="witsml:bitRecord/witsml:bitRun/witsml:totHrsDrilled/@uom"/>
 												</a>
 											</td>
 											<td align="center" width="60" valign="top">
-												<a target="_blank" href="{$urlRDS}">Total ROP<br />
+												<a target="_blank" href="{$url_totRop}">Total ROP<br />
 													<xsl:value-of select="witsml:bitRecord/witsml:bitRun/witsml:totRop/@uom"/>
 												</a>
 											</td>
 											<td align="center" width="120" valign="top">
-												<a target="_blank" href="{$urlRDS}">Dull grade</a>
+												<a target="_blank" href="{$url_dullGrade}">Dull grade</a>
 											</td>
 										</tr>
@@ -464,5 +494,5 @@
 												</td>
 												<td align="center">
-													<xsl:value-of select="witsml:bitRun/witsml:ropMx"/>
+													<xsl:value-of select="witsml:bitRun/witsml:totRop"/>
 												</td>
 												<td align="center">
@@ -493,57 +523,91 @@
 									<table id="table2">
 										<xsl:variable name="element_pipe" select="document($ddrSchema)/xsd:schema/xsd:complexType[@name='casing_liner_tubing']/xsd:sequence"/>
-										<!--<xsl:variable name="url_readingKind"><xsl:value-of select="$element_drillReportPorePressure//xsd:element[@name='readingKind']/@sawsdl:modelReference"/></xsl:variable>
-						    			<xsl:variable name="url_equivalentMudWeight"><xsl:value-of select="$element_drillReportPorePressure//xsd:element[@name='equivalentMudWeight']/@sawsdl:modelReference"/></xsl:variable>
-						    			<xsl:variable name="url_dTim"><xsl:value-of select="$element_drillReportPorePressure//xsd:element[@name='dTim']/@sawsdl:modelReference"/></xsl:variable>
-						    			<xsl:variable name="url_md"><xsl:value-of select="$element_drillReportPorePressure//xsd:element[@name='md']/@sawsdl:modelReference"/></xsl:variable>
-						    			<xsl:variable name="url_tvd"><xsl:value-of select="$element_drillReportPorePressure//xsd:element[@name='tvd']/@sawsdl:modelReference"/></xsl:variable>-->
+										<xsl:variable name="url_type">
+											<xsl:value-of select="$element_pipe//xsd:element[@name='type']/@sawsdl:modelReference"/>
+										</xsl:variable>
+										<xsl:variable name="url_casingType">
+											<xsl:value-of select="$element_pipe/casing_liner_tubing_run//xsd:element[@name='casingType']/@sawsdl:modelReference"/>
+										</xsl:variable>
+										<xsl:variable name="url_dTimStart">
+											<xsl:value-of select="$element_pipe/casing_liner_tubing_run//xsd:element[@name='dTimStart']/@sawsdl:modelReference"/>
+										</xsl:variable>
+										<xsl:variable name="url_dTimEnd">
+											<xsl:value-of select="$element_pipe/casing_liner_tubing_run//xsd:element[@name='dTimEnd']/@sawsdl:modelReference"/>
+										</xsl:variable>
+										<xsl:variable name="url_od">
+											<xsl:value-of select="$element_pipe//xsd:element[@name='od']/@sawsdl:modelReference"/>
+										</xsl:variable>
+										<xsl:variable name="url_id">
+											<xsl:value-of select="$element_pipe//xsd:element[@name='id']/@sawsdl:modelReference"/>
+										</xsl:variable>
+										<xsl:variable name="url_weight">
+											<xsl:value-of select="$element_pipe//xsd:element[@name='weight']/@sawsdl:modelReference"/>
+										</xsl:variable>
+										<xsl:variable name="url_grade">
+											<xsl:value-of select="$element_pipe//xsd:element[@name='grade']/@sawsdl:modelReference"/>
+										</xsl:variable>
+										<xsl:variable name="url_connection">
+											<xsl:value-of select="$element_pipe//xsd:element[@name='connection']/@sawsdl:modelReference"/>
+										</xsl:variable>
+										<xsl:variable name="url_length">
+											<xsl:value-of select="$element_pipe//xsd:element[@name='length']/@sawsdl:modelReference"/>
+										</xsl:variable>
+										<xsl:variable name="url_mdTop">
+											<xsl:value-of select="$element_pipe//xsd:element[@name='mdTop']/@sawsdl:modelReference"/>
+										</xsl:variable>
+										<xsl:variable name="url_mdBottom">
+											<xsl:value-of select="$element_pipe//xsd:element[@name='mdBottom']/@sawsdl:modelReference"/>
+										</xsl:variable>
+										<xsl:variable name="url_description">
+											<xsl:value-of select="$element_pipe/casing_liner_tubing_run//xsd:element[@name='description']/@sawsdl:modelReference"/>
+										</xsl:variable>
 										<tr>
 											<td align="center" valign="top">
-												<a target="_blank" href="{$urlRDS}">Type of pipe</a>
+												<a target="_blank" href="{$url_type}">Type of pipe</a>
 											</td>
 											<td align="center" valign="top">
-												<a target="_blank" href="{$urlRDS}">Casing type</a>
+												<a target="_blank" href="{$url_casingType}">Casing type</a>
 											</td>
 											<td align="center" width="60" valign="top">
-												<a target="_blank" href="{$urlRDS}">Run time</a>
+												<a target="_blank" href="{$url_dTimStart}">Run time</a>
 											</td>
 											<td align="center" width="60" valign="top">
-												<a target="_blank" href="{$urlRDS}">Nominal outside diameter<br />
+												<a target="_blank" href="{$url_od}">Nominal outside diameter<br />
 													<xsl:value-of select="witsml:casing_liner_tubing/witsml:od/@uom"/>
 												</a>
 											</td>
 											<td align="center" width="100" valign="top">
-												<a target="_blank" href="{$urlRDS}">Nominal inside diameter<br />
+												<a target="_blank" href="{$url_id}">Nominal inside diameter<br />
 													<xsl:value-of select="witsml:casing_liner_tubing/witsml:id/@uom"/>
 												</a>
 											</td>
 											<td align="center" width="60" valign="top">
-												<a target="_blank" href="{$urlRDS}">Nominal Weight<br />
+												<a target="_blank" href="{$url_weight}">Nominal Weight<br />
 													<xsl:value-of select="witsml:casing_liner_tubing/witsml:weight/@uom"/>
 												</a>
 											</td>
 											<td align="center" width="60" valign="top">
-												<a target="_blank" href="{$urlRDS}">Nominal Grade</a>
+												<a target="_blank" href="{$url_grade}">Nominal Grade</a>
 											</td>
 											<td align="center" width="60" valign="top">
-												<a target="_blank" href="{$urlRDS}">Nominal Connection</a>
+												<a target="_blank" href="{$url_connection}">Nominal Connection</a>
 											</td>
 											<td align="center" width="60" valign="top">
-												<a target="_blank" href="{$urlRDS}">Length<br />
+												<a target="_blank" href="{$url_length}">Length<br />
 													<xsl:value-of select="witsml:casing_liner_tubing/witsml:length/@uom"/>
 												</a>
 											</td>
 											<td align="center" width="60" valign="top">
-												<a target="_blank" href="{$urlRDS}">MD Top/Hangar<br />
+												<a target="_blank" href="{$url_mdTop}">MD Top/Hangar<br />
 													<xsl:value-of select="witsml:casing_liner_tubing/witsml:mdTop/@uom"/>
 												</a>
 											</td>
 											<td align="center" width="60" valign="top">
-												<a target="_blank" href="{$urlRDS}">MD Bottom/Shoe<br />
+												<a target="_blank" href="{$url_mdBottom}">MD Bottom/Shoe<br />
 													<xsl:value-of select="witsml:casing_liner_tubing/witsml:mdBottom/@uom"/>
 												</a>
 											</td>
 											<td align="left" width="100" valign="top">
-												<a target="_blank" href="{$urlRDS}">Description</a>
+												<a target="_blank" href="{$url_description}">Description</a>
 											</td>
 										</tr>
@@ -556,8 +620,8 @@
 												</td>
 												<td align="center">
-													<xsl:value-of select="witsml:casing_liner_tubing_run/witsml:tubularJobType"/>
-												</td>
-												<td align="center">
-													<xsl:value-of select="substring-after(substring(witsml:casing_liner_tubing_run/witsml:dTimEnd, 0, 17), 'T')"/>
+													<xsl:value-of select="witsml:casing_liner_tubing_run/witsml:casingType"/>
+												</td>
+												<td align="center">
+													<xsl:value-of select="substring-after(substring(witsml:casing_liner_tubing_run/witsml:dTimStart, 0, 17), 'T')"/>
 												</td>
 												<td align="center">
@@ -611,57 +675,97 @@
 									<td>
 										<table id="table2">
-											<xsl:variable name="element_cement" select="document($ddrSchema)/xsd:schema/xsd:complexType[@name='cement']/xsd:sequence"/>
-											<!--<xsl:variable name="url_readingKind"><xsl:value-of select="$element_drillReportPorePressure//xsd:element[@name='readingKind']/@sawsdl:modelReference"/></xsl:variable>
-						    			<xsl:variable name="url_equivalentMudWeight"><xsl:value-of select="$element_drillReportPorePressure//xsd:element[@name='equivalentMudWeight']/@sawsdl:modelReference"/></xsl:variable>
-						    			<xsl:variable name="url_dTim"><xsl:value-of select="$element_drillReportPorePressure//xsd:element[@name='dTim']/@sawsdl:modelReference"/></xsl:variable>
-						    			<xsl:variable name="url_md"><xsl:value-of select="$element_drillReportPorePressure//xsd:element[@name='md']/@sawsdl:modelReference"/></xsl:variable>
-						    			<xsl:variable name="url_tvd"><xsl:value-of select="$element_drillReportPorePressure//xsd:element[@name='tvd']/@sawsdl:modelReference"/></xsl:variable>-->
+											<xsl:variable name="element_cement" select="document($ddrSchema)/xsd:schema/xsd:complexType[@name='cs_cementStage']/xsd:sequence"/>
+											<xsl:variable name="url_dTimPumpStart">
+												<xsl:value-of select="$element_cement//xsd:element[@name='dTimPumpStart']/@sawsdl:modelReference"/>
+											</xsl:variable>
+											<xsl:variable name="url_dTimPumpEnd">
+												<xsl:value-of select="$element_cement//xsd:element[@name='dTimPumpEnd']/@sawsdl:modelReference"/>
+											</xsl:variable>
+											<xsl:variable name="url_jobType">
+												<xsl:value-of select="$element_cement//xsd:element[@name='jobType']/@sawsdl:modelReference"/>
+											</xsl:variable>
+											<xsl:variable name="url_casingStrDia">
+												<xsl:value-of select="$element_cement//xsd:element[@name='casingStrDia']/@sawsdl:modelReference"/>
+											</xsl:variable>
+											<xsl:variable name="url_topPlug">
+												<xsl:value-of select="$element_cement//xsd:element[@name='topPlug']/@sawsdl:modelReference"/>
+											</xsl:variable>
+											<xsl:variable name="url_botPlug">
+												<xsl:value-of select="$element_cement//xsd:element[@name='botPlug']/@sawsdl:modelReference"/>
+											</xsl:variable>
+											<xsl:variable name="url_plugBumped">
+												<xsl:value-of select="$element_cement//xsd:element[@name='plugBumped']/@sawsdl:modelReference"/>
+											</xsl:variable>
+											<xsl:variable name="url_presBump">
+												<xsl:value-of select="$element_cement//xsd:element[@name='presBump']/@sawsdl:modelReference"/>
+											</xsl:variable>
+											<xsl:variable name="url_floatHeld">
+												<xsl:value-of select="$element_cement//xsd:element[@name='floatHeld']/@sawsdl:modelReference"/>
+											</xsl:variable>
+											<xsl:variable name="url_eTimPresHeld">
+												<xsl:value-of select="$element_cement//xsd:element[@name='eTimPresHeld']/@sawsdl:modelReference"/>
+											</xsl:variable>
+											<xsl:variable name="url_annFlowAfter">
+												<xsl:value-of select="$element_cement//xsd:element[@name='annFlowAfter']/@sawsdl:modelReference"/>
+											</xsl:variable>
+											<xsl:variable name="url_volReturns">
+												<xsl:value-of select="$element_cement//xsd:element[@name='volReturns']/@sawsdl:modelReference"/>
+											</xsl:variable>
+											<xsl:variable name="url_reciprocated">
+												<xsl:value-of select="$element_cement//xsd:element[@name='reciprocated']/@sawsdl:modelReference"/>
+											</xsl:variable>
+											<xsl:variable name="url_rotated">
+												<xsl:value-of select="$element_cement//xsd:element[@name='rotated']/@sawsdl:modelReference"/>
+											</xsl:variable>
+											<xsl:variable name="url_comments">
+												<xsl:value-of select="$element_cement//xsd:element[@name='comments']/@sawsdl:modelReference"/>
+											</xsl:variable>
 											<tr>
 												<td align="center" valign="top">
-													<a target="_blank" href="{$urlRDS}">Start Time</a>
+													<a target="_blank" href="{$url_dTimPumpStart}">Start Time</a>
 												</td>
 												<td align="center" valign="top">
-													<a target="_blank" href="{$urlRDS}">End Time</a>
+													<a target="_blank" href="{$url_dTimPumpEnd}">End Time</a>
 												</td>
 												<td align="center" width="50" valign="top">
-													<a target="_blank" href="{$urlRDS}">Job Type</a>
+													<a target="_blank" href="{$url_jobType}">Job Type</a>
 												</td>
 												<td align="center" width="50" valign="top">
-													<a target="_blank" href="{$urlRDS}">Casing string diameter</a>
+													<a target="_blank" href="{$url_casingStrDia}">Casing string diameter</a>
 												</td>
 												<td align="center" width="50" valign="top">
-													<a target="_blank" href="{$urlRDS}">Top plug used</a>
+													<a target="_blank" href="{$url_topPlug}">Top plug used</a>
 												</td>
 												<td align="center" width="50" valign="top">
-													<a target="_blank" href="{$urlRDS}">Bottom plug used</a>
+													<a target="_blank" href="{$url_botPlug}">Bottom plug used</a>
 												</td>
 												<td align="center" width="50" valign="top">
-													<a target="_blank" href="{$urlRDS}">Plug bumped</a>
+													<a target="_blank" href="{$url_plugBumped}">Plug bumped</a>
 												</td>
 												<td align="center" width="50" valign="top">
-													<a target="_blank" href="{$urlRDS}">Plug bump pressure <xsl:value-of select="witsml:presBump/@uom"/>
+													<a target="_blank" href="{$url_presBump}">Plug bump pressure <xsl:value-of select="witsml:presBump/@uom"/>
 													</a>
 												</td>
 												<td align="center" width="50" valign="top">
-													<a target="_blank" href="{$urlRDS}">Float held</a>
+													<a target="_blank" href="{$url_floatHeld}">Float held</a>
 												</td>
 												<td align="center" width="50" valign="top">
-													<a target="_blank" href="{$urlRDS}">Pressure release time</a>
+													<a target="_blank" href="{$url_eTimPresHeld}">Pressure release time</a>
 												</td>
 												<td align="center" width="50" valign="top">
-													<a target="_blank" href="{$urlRDS}">Full returns</a>
+													<a target="_blank" href="{$url_annFlowAfter}">Full returns</a>
 												</td>
 												<td align="center" width="50" valign="top">
-													<a target="_blank" href="{$urlRDS}">Cement volume returns <xsl:value-of select="witsml:volReturns/@uom"/>
+													<a target="_blank" href="{$url_volReturns}">Cement volume returns <xsl:value-of select="witsml:volReturns/@uom"/>
 													</a>
 												</td>
 												<td align="center" width="50" valign="top">
-													<a target="_blank" href="{$urlRDS}">Reciprocated</a>
+													<a target="_blank" href="{$url_reciprocated}">Reciprocated</a>
 												</td>
 												<td align="center" width="50" valign="top">
-													<a target="_blank" href="{$urlRDS}">Rotated</a>
+													<a target="_blank" href="{$url_rotated}">Rotated</a>
 												</td>
 												<td align="left" width="220" valign="top">
-													<a target="_blank" href="{$urlRDS}">Comments</a>
+													<a target="_blank" href="{$url_comments}">Comments</a>
 												</td>
 											</tr>
@@ -735,22 +839,31 @@
 										<td class="SectionHead">Cementing Fluid Details</td>
 									</tr>
-									<xsl:variable name="element_fluid" select="document($ddrSchema)/xsd:schema/xsd:complexType[@name='cementingFluid']/xsd:sequence"/>
-									<xsl:variable name="url_dTimFluid">
-										<xsl:value-of select="$element_fluid//xsd:element[@name='dTim']/@sawsdl:modelReference"/>
+									<xsl:variable name="element_cementingFluid" select="document($ddrSchema)/xsd:schema/xsd:complexType[@name='cementingFluid']/xsd:sequence"/>
+									<xsl:variable name="url_typeFluid">
+										<xsl:value-of select="$element_cementingFluid//xsd:element[@name='mudClass']/@sawsdl:modelReference"/>
 									</xsl:variable>
-									<xsl:variable name="url_mdFluid">
-										<xsl:value-of select="$element_fluid//xsd:element[@name='md']/@sawsdl:modelReference"/>
-									</xsl:variable>
-									<xsl:variable name="url_mudClass">
-										<xsl:value-of select="$element_fluid//xsd:element[@name='mudClass']/@sawsdl:modelReference"/>
+									<xsl:variable name="url_descFluid">
+										<xsl:value-of select="$element_cementingFluid//xsd:element[@name='descFluid']/@sawsdl:modelReference"/>
 									</xsl:variable>
 									<xsl:variable name="url_density">
-										<xsl:value-of select="$element_fluid//xsd:element[@name='density']/@sawsdl:modelReference"/>
+										<xsl:value-of select="$element_cementingFluid//xsd:element[@name='density']/@sawsdl:modelReference"/>
 									</xsl:variable>
-									<xsl:variable name="url_pv">
-										<xsl:value-of select="$element_fluid//xsd:element[@name='pv']/@sawsdl:modelReference"/>
+									<xsl:variable name="url_volPumped">
+										<xsl:value-of select="$element_cementingFluid//xsd:element[@name='volPumped']/@sawsdl:modelReference"/>
 									</xsl:variable>
 									<xsl:variable name="url_yp">
-										<xsl:value-of select="$element_fluid//xsd:element[@name='yp']/@sawsdl:modelReference"/>
+										<xsl:value-of select="$element_cementingFluid//xsd:element[@name='yp']/@sawsdl:modelReference"/>
+									</xsl:variable>
+									<xsl:variable name="url_ratioMixWater">
+										<xsl:value-of select="$element_cementingFluid//xsd:element[@name='ratioMixWater']/@sawsdl:modelReference"/>
+									</xsl:variable>
+									<xsl:variable name="url_pcFreeWater">
+										<xsl:value-of select="$element_cementingFluid//xsd:element[@name='pcFreeWater']/@sawsdl:modelReference"/>
+									</xsl:variable>
+									<xsl:variable name="url_eTimThickening">
+										<xsl:value-of select="$element_cementingFluid//xsd:element[@name='eTimThickening']/@sawsdl:modelReference"/>
+									</xsl:variable>
+									<xsl:variable name="url_comments">
+										<xsl:value-of select="$element_cementingFluid//xsd:element[@name='comments']/@sawsdl:modelReference"/>
 									</xsl:variable>
 									<tr>
@@ -759,8 +872,8 @@
 												<tr>
 													<td align="center" width="80" valign="top">
-														<a target="_blank" href="{$url_mudClass}">Fluid Type</a>
+														<a target="_blank" href="{$url_typeFluid}">Fluid Type</a>
 													</td>
 													<td align="center" width="50" valign="top">
-														<a target="_blank" href="{$urlRDS}">Volume Pumped <xsl:value-of select="witsml:cementingFluid/witsml:volPumped/@uom"/>
+														<a target="_blank" href="{$url_volPumped}">Volume Pumped <xsl:value-of select="witsml:cementingFluid/witsml:volPumped/@uom"/>
 														</a>
 													</td>
@@ -774,20 +887,20 @@
 													</td>
 													<td align="center" width="50" valign="top">
-														<a target="_blank" href="{$urlRDS}">Mix Water Ratio <xsl:value-of select="witsml:cementingFluid/witsml:ratioMixWater/@uom"/>
+														<a target="_blank" href="{$url_ratioMixWater}">Mix Water Ratio <xsl:value-of select="witsml:cementingFluid/witsml:ratioMixWater/@uom"/>
 														</a>
 													</td>
 													<td align="center" width="50" valign="top">
-														<a target="_blank" href="{$urlRDS}">Free Water <xsl:value-of select="witsml:cementingFluid/witsml:pcFreeWater/@uom"/>
+														<a target="_blank" href="{$url_pcFreeWater}">Free Water <xsl:value-of select="witsml:cementingFluid/witsml:pcFreeWater/@uom"/>
 														</a>
 													</td>
 													<td align="center" width="50" valign="top">
-														<a target="_blank" href="{$urlRDS}">Thick Time <xsl:value-of select="witsml:cementingFluid/witsml:eTimThickening/@uom"/>
+														<a target="_blank" href="{$url_eTimThickening}">Thick Time <xsl:value-of select="witsml:cementingFluid/witsml:eTimThickening/@uom"/>
 														</a>
 													</td>
 													<td align="left" width="210" valign="top">
-														<a target="_blank" href="{$url_mudClass}">Fluid Description</a>
+														<a target="_blank" href="{$url_descFluid}">Fluid Description</a>
 													</td>
 													<td align="left" width="230" valign="top">
-														<a target="_blank" href="{$urlRDS}">Comments</a>
+														<a target="_blank" href="{$url_comments}">Comments</a>
 													</td>
 
@@ -1984,5 +2097,5 @@
 											</td>
 											<td width="110" align="center" valign="top">
-												<a href="{$urlRDS}" target="_blank">Duration Well Perf</a>
+												<a href="{$url_dTimClose}" target="_blank">Duration Well Perf</a>
 											</td>
 											<td width="100" align="center" valign="top" class="ColHead">
@@ -2326,4 +2439,7 @@
 			<xsl:value-of select="$element_drillReportStatusInfo//xsd:element[@name='elevKelly']/@sawsdl:modelReference"/>
 		</xsl:variable>
+		<xsl:variable name="url_waterDepth">
+			<xsl:value-of select="$element_drillReportStatusInfo//xsd:element[@name='waterDepth']/@sawsdl:modelReference"/>
+		</xsl:variable>
 		<tr class="light">
 			<td class="dark">
@@ -2362,5 +2478,5 @@
 			</td>
 			<td class="dark">
-				<a target="_blank" href="{$urlRDS}">Water Depth MSL <xsl:value-of select="../witsml:statusInfo/witsml:waterDepth/@uom" />:</a>
+				<a target="_blank" href="{$url_waterDepth}">Water Depth MSL <xsl:value-of select="../witsml:statusInfo/witsml:waterDepth/@uom" />:</a>
 			</td>
 			<td class="light">
@@ -2437,11 +2553,23 @@
 			<xsl:value-of select="$element_drillReportStatusInfo//xsd:element[@name='tvdCsgLast']/@sawsdl:modelReference"/>
 		</xsl:variable>
+		<xsl:variable name="url_tightWell">
+			<xsl:value-of select="$element_drillReportStatusInfo//xsd:element[@name='tightWell']/@sawsdl:modelReference"/>
+		</xsl:variable>
+		<xsl:variable name="url_hpht">
+			<xsl:value-of select="$element_drillReportStatusInfo//xsd:element[@name='hpht']/@sawsdl:modelReference"/>
+		</xsl:variable>
+		<xsl:variable name="url_avgPresBH">
+			<xsl:value-of select="$element_drillReportStatusInfo//xsd:element[@name='avgPresBH']/@sawsdl:modelReference"/>
+		</xsl:variable>
+		<xsl:variable name="url_expTempBH">
+			<xsl:value-of select="$element_drillReportStatusInfo//xsd:element[@name='expTempBH']/@sawsdl:modelReference"/>
+		</xsl:variable>
+		<xsl:variable name="url_fixedRig">
+			<xsl:value-of select="$element_drillReportStatusInfo//xsd:element[@name='fixedRig']/@sawsdl:modelReference"/>
+		</xsl:variable>
 		<!-- Added 18jan2011 -->
-		<xsl:variable name="element_header" select="document($ddrSchema)/xsd:schema/xsd:complexType[@name='statusInfo']/xsd:sequence"/>
-		<xsl:variable name="element_rigTypes" select="document($ddrSchema)/xsd:schema/xsd:simpleType[@name='rigTypes']/xsd:restriction"/>
-		<xsl:variable name="urlRDS" select="'http://www.posccaesar.org'"/>
 		<tr class="light">
 			<td class="dark">
-				<a target="_blank" href="{$urlRDS}">Tight well:</a>
+				<a target="_blank" href="{$url_tightWell}">Tight well:</a>
 			</td>
 			<td class="light">
@@ -2450,5 +2578,5 @@
 			</td>
 			<td class="dark">
-				<a target="_blank" href="{$urlRDS}">High Pressure - High Temperature:</a>
+				<a target="_blank" href="{$url_hpht}">High Pressure - High Temperature:</a>
 			</td>
 			<td class="light">
@@ -2461,5 +2589,5 @@
 		<tr class="light">
 			<td class="dark">
-				<a target="_blank" href="{$urlRDS}">Pressure <xsl:value-of select="witsml:avgPresBH/@uom" />:</a>
+				<a target="_blank" href="{$url_avgPresBH}">Pressure <xsl:value-of select="witsml:avgPresBH/@uom" />:</a>
 			</td>
 			<td class="light">
@@ -2467,5 +2595,5 @@
 			</td>
 			<td class="dark">
-				<a target="_blank" href="{$urlRDS}">Temperature <xsl:value-of select="witsml:expTempBH/@uom" />:</a>
+				<a target="_blank" href="{$url_expTempBH}">Temperature <xsl:value-of select="witsml:expTempBH/@uom" />:</a>
 			</td>
 			<td class="light">
@@ -2477,5 +2605,5 @@
 			<!-- Added 07feb2011 -->
 			<td class="dark">
-				<a target="_blank" href="{$urlRDS}">Fixed rig:</a>
+				<a target="_blank" href="{$url_fixedRig}">Fixed rig:</a>
 			</td>
 			<td class="light">