Index: projects/DailyDrillingReport_1.2/XML/HTMLreport/testDocumet_2011_02_07.xml
===================================================================
--- projects/DailyDrillingReport_1.2/XML/HTMLreport/testDocumet_2011_02_07.xml (revision 215)
+++ projects/DailyDrillingReport_1.2/XML/HTMLreport/testDocumet_2011_02_07.xml (revision 228)
@@ -88,6 +88,6 @@
 			<witsml:elevKelly uom="m">23.5</witsml:elevKelly>
 			<witsml:waterDepth uom="m">15</witsml:waterDepth>
-			<witsml:sum24Hr>Yada yada yada</witsml:sum24Hr>
-			<witsml:forecast24Hr>Bla bla bla</witsml:forecast24Hr>
+			<witsml:sum24Hr>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Suspendisse commodo leo commodo sapien dapibus pulvinar. Suspendisse gravida orci sit amet tellus varius posuere at a ligula. Vestibulum ac ullamcorper nisi. Pellentesque consequat, ligula sed facilisis egestas, lorem elit pellentesque leo, eu tempus magna dolor nec sapien. Duis accumsan tempus mollis. Vivamus orci enim, vestibulum eget egestas in, dapibus ut elit. Aenean cursus lectus ut purus sollicitudin eget iaculis neque porttitor. Sed eget quam quis arcu vestibulum laoreet. Nam fringilla vulputate augue, sollicitudin eleifend ipsum faucibus vehicula. Phasellus sollicitudin lacus sit amet nisi fringilla ultricies. Cras magna orci, aliquam in mattis et, semper in risus. Proin enim sapien, ornare sed posuere at, dictum sed mi. Sed pulvinar, enim non commodo sollicitudin, neque justo facilisis elit, et egestas quam libero volutpat nunc. Praesent lobortis bibendum nulla, ac tincidunt orci ultricies nec. Aliquam vestibulum euismod dui, sed placerat arcu sodales in. Ut eu.</witsml:sum24Hr>
+			<witsml:forecast24Hr>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Suspendisse commodo leo commodo sapien dapibus pulvinar. Suspendisse gravida orci sit amet tellus varius posuere at a ligula. Vestibulum ac ullamcorper nisi. Pellentesque consequat, ligula sed facilisis egestas, lorem elit pellentesque leo, eu tempus magna dolor nec sapien. Duis accumsan tempus mollis. Vivamus orci enim, vestibulum eget egestas in, dapibus ut elit. Aenean cursus lectus ut purus sollicitudin eget iaculis neque porttitor. Sed eget quam quis arcu vestibulum laoreet. Nam fringilla vulputate augue, sollicitudin eleifend ipsum faucibus vehicula. Phasellus sollicitudin lacus sit amet nisi fringilla ultricies. Cras magna orci, aliquam in mattis et, semper in risus. Proin enim sapien, ornare sed posuere at, dictum sed mi. Sed pulvinar, enim non commodo sollicitudin, neque justo facilisis elit, et egestas quam libero volutpat nunc. Praesent lobortis bibendum nulla, ac tincidunt orci ultricies nec. Aliquam vestibulum euismod dui, sed placerat arcu sodales in. Ut eu.</witsml:forecast24Hr>
 			<witsml:ropCurrent uom="m/h">6.22</witsml:ropCurrent>
 			<witsml:tightWell>false</witsml:tightWell>
@@ -145,5 +145,5 @@
 			<witsml:casing_liner_tubing_run>
 				<witsml:casingType>Top</witsml:casingType>
-				<witsml:description>bla bla bla..</witsml:description>
+				<witsml:description>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Praesent porttitor condimentum mi nec dictum. Quisque sodales lacinia lobortis. Donec interdum.</witsml:description>
 				<witsml:dTimStart>2011-02-07T12:00:00.000Z</witsml:dTimStart>
 				<witsml:dTimEnd>2011-02-07T14:00:00.000Z</witsml:dTimEnd>
@@ -162,5 +162,5 @@
 			<witsml:casing_liner_tubing_run>
 				<witsml:casingType>Intermediate</witsml:casingType>
-				<witsml:description>bla bla bla..</witsml:description>
+				<witsml:description>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Praesent porttitor condimentum mi nec dictum. Quisque sodales lacinia lobortis. Donec interdum.</witsml:description>
 				<witsml:dTimStart>2011-02-07T13:00:00.000Z</witsml:dTimStart>
 				<witsml:dTimEnd>2011-02-07T17:00:00.000Z</witsml:dTimEnd>
@@ -179,5 +179,5 @@
 			<witsml:casing_liner_tubing_run>
 				<witsml:casingType>Production</witsml:casingType>
-				<witsml:description>bla bla bla..</witsml:description>
+				<witsml:description>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Praesent porttitor condimentum mi nec dictum. Quisque sodales lacinia lobortis. Donec interdum.</witsml:description>
 				<witsml:dTimStart>2011-02-07T15:00:00.000Z</witsml:dTimStart>
 				<witsml:dTimEnd>2011-02-08T10:00:00.000Z</witsml:dTimEnd>
@@ -189,9 +189,9 @@
 			<witsml:jobType>squeeze</witsml:jobType>
 			<witsml:casingStrDia uom="in">16</witsml:casingStrDia>
-			<witsml:comments>bla bla bla...</witsml:comments>
+			<witsml:comments>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Praesent porttitor condimentum mi nec dictum. Quisque sodales lacinia lobortis. Donec interdum.</witsml:comments>
 			<witsml:volReturns uom="m3">25</witsml:volReturns>
 			<witsml:cementingFluid>
 				<witsml:typeFluid>Spacer</witsml:typeFluid>
-				<witsml:descFluid>bla bla bla...</witsml:descFluid>
+				<witsml:descFluid>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Praesent porttitor condimentum mi nec dictum. Quisque sodales lacinia lobortis. Donec interdum.</witsml:descFluid>
 				<witsml:ratioMixWater uom="gal/sack">15</witsml:ratioMixWater>
 				<witsml:density uom="sg">30</witsml:density>
@@ -200,5 +200,5 @@
 				<witsml:eTimThickening uom="h">5</witsml:eTimThickening>
 				<witsml:pcFreeWater uom="%">20</witsml:pcFreeWater>
-				<witsml:comments>bla bla bla...</witsml:comments>
+				<witsml:comments>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Praesent porttitor condimentum mi nec dictum. Quisque sodales lacinia lobortis. Donec interdum.</witsml:comments>
 			</witsml:cementingFluid>
 			<witsml:eTimPresHeld>2011-02-07T14:00:00.000Z</witsml:eTimPresHeld>
@@ -217,9 +217,9 @@
 			<witsml:jobType>primary</witsml:jobType>
 			<witsml:casingStrDia uom="in">18</witsml:casingStrDia>
-			<witsml:comments>bla bla bla...</witsml:comments>
+			<witsml:comments>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Praesent porttitor condimentum mi nec dictum. Quisque sodales lacinia lobortis. Donec interdum.</witsml:comments>
 			<witsml:volReturns uom="m3">25</witsml:volReturns>
 			<witsml:cementingFluid>
 				<witsml:typeFluid>Mud</witsml:typeFluid>
-				<witsml:descFluid>bla bla bla...</witsml:descFluid>
+				<witsml:descFluid>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Praesent porttitor condimentum mi nec dictum. Quisque sodales lacinia lobortis. Donec interdum.</witsml:descFluid>
 				<witsml:ratioMixWater uom="gal/sack">18</witsml:ratioMixWater>
 				<witsml:density uom="sg">27</witsml:density>
@@ -228,9 +228,9 @@
 				<witsml:eTimThickening uom="h">2</witsml:eTimThickening>
 				<witsml:pcFreeWater uom="%">40</witsml:pcFreeWater>
-				<witsml:comments>bla bla bla...</witsml:comments>
+				<witsml:comments>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Praesent porttitor condimentum mi nec dictum. Quisque sodales lacinia lobortis. Donec interdum.</witsml:comments>
 			</witsml:cementingFluid>
 			<witsml:cementingFluid>
 				<witsml:typeFluid>Slurry</witsml:typeFluid>
-				<witsml:descFluid>bla bla bla...</witsml:descFluid>
+				<witsml:descFluid>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Praesent porttitor condimentum mi nec dictum. Quisque sodales lacinia lobortis. Donec interdum.</witsml:descFluid>
 				<witsml:ratioMixWater uom="gal/sack">12</witsml:ratioMixWater>
 				<witsml:density uom="sg">24</witsml:density>
@@ -239,9 +239,9 @@
 				<witsml:eTimThickening uom="h">3</witsml:eTimThickening>
 				<witsml:pcFreeWater uom="%">40</witsml:pcFreeWater>
-				<witsml:comments>bla bla bla...</witsml:comments>
+				<witsml:comments>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Praesent porttitor condimentum mi nec dictum. Quisque sodales lacinia lobortis. Donec interdum.</witsml:comments>
 			</witsml:cementingFluid>
 			<witsml:cementingFluid>
 				<witsml:typeFluid>Spacer</witsml:typeFluid>
-				<witsml:descFluid>bla bla bla...</witsml:descFluid>
+				<witsml:descFluid>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Praesent porttitor condimentum mi nec dictum. Quisque sodales lacinia lobortis. Donec interdum.</witsml:descFluid>
 				<witsml:ratioMixWater uom="gal/sack">12</witsml:ratioMixWater>
 				<witsml:density uom="sg">24</witsml:density>
@@ -250,5 +250,5 @@
 				<witsml:eTimThickening uom="h">3</witsml:eTimThickening>
 				<witsml:pcFreeWater uom="%">40</witsml:pcFreeWater>
-				<witsml:comments>bla bla bla...</witsml:comments>
+				<witsml:comments>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Praesent porttitor condimentum mi nec dictum. Quisque sodales lacinia lobortis. Donec interdum.</witsml:comments>
 			</witsml:cementingFluid>
 			<witsml:eTimPresHeld>2011-02-07T14:00:00.000Z</witsml:eTimPresHeld>
@@ -298,5 +298,5 @@
 			<witsml:tvd uom="m">9123.4232</witsml:tvd>
 		</witsml:porePressure>
-		<witsml:extendedReport dTim="2006-06-07T06:00:00.000Z">Bla bla bla</witsml:extendedReport>
+		<witsml:extendedReport dTim="2006-06-07T06:00:00.000Z">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Praesent porttitor condimentum mi nec dictum. Quisque sodales lacinia lobortis. Donec interdum.</witsml:extendedReport>
 		<witsml:surveyStation>
 			<witsml:dTim>2001-12-31T22:00:00.000Z</witsml:dTim>
@@ -317,5 +317,5 @@
 			<witsml:state>ok</witsml:state>
 			<witsml:stateDetailActivity>kick</witsml:stateDetailActivity>
-			<witsml:comments>Bla bla bla</witsml:comments>
+			<witsml:comments>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Praesent porttitor condimentum mi nec dictum. Quisque sodales lacinia lobortis. Donec interdum.</witsml:comments>
 		</witsml:activity>
 		<witsml:activity>
@@ -330,5 +330,5 @@
 			<witsml:state>fail</witsml:state>
 			<witsml:stateDetailActivity>injury</witsml:stateDetailActivity>
-			<witsml:comments>Bla bla bla</witsml:comments>
+			<witsml:comments>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Praesent porttitor condimentum mi nec dictum. Quisque sodales lacinia lobortis. Donec interdum.</witsml:comments>
 		</witsml:activity>
 		<witsml:logInfo>
@@ -370,5 +370,5 @@
 			<witsml:lenBarrel uom="m">33.3</witsml:lenBarrel>
 			<witsml:innerBarrelType>aluminum</witsml:innerBarrelType>
-			<witsml:coreDescription>bla bla bla</witsml:coreDescription>
+			<witsml:coreDescription>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Praesent porttitor condimentum mi nec dictum. Quisque sodales lacinia lobortis. Donec interdum.</witsml:coreDescription>
 		</witsml:coreInfo>
 		<witsml:wellTestInfo>
@@ -410,5 +410,5 @@
 			<witsml:densityHC uom="g/cm3">0.33</witsml:densityHC>
 			<witsml:volumeSample uom="dm3">11</witsml:volumeSample>
-			<witsml:description>Yada yada yada</witsml:description>
+			<witsml:description>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Praesent porttitor condimentum mi nec dictum. Quisque sodales lacinia lobortis. Donec interdum.</witsml:description>
 		</witsml:formTestInfo>
 		<witsml:lithShowInfo>
@@ -428,5 +428,5 @@
 			<witsml:eTimMissProduction uom="min">180</witsml:eTimMissProduction>
 			<witsml:dTimRepair>2002-01-31T02:00:00.000Z</witsml:dTimRepair>
-			<witsml:description>Bla bla bla</witsml:description>
+			<witsml:description>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Praesent porttitor condimentum mi nec dictum. Quisque sodales lacinia lobortis. Donec interdum.</witsml:description>
 		</witsml:equipFailureInfo>
 		<witsml:controlIncidentInfo>
@@ -484,5 +484,5 @@
 			<witsml:mdTop uom="m">1234.5</witsml:mdTop>
 			<witsml:tvdTop uom="m">1234</witsml:tvdTop>
-			<witsml:description>bla bla bla</witsml:description>
+			<witsml:description>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Praesent porttitor condimentum mi nec dictum. Quisque sodales lacinia lobortis. Donec interdum.</witsml:description>
 		</witsml:stratInfo>
 		<witsml:perfInfo>