Index: projects/DailyDrillingReport_1.2/XML/HTMLreport/WITSML_drillReport_profiled_schema_2011_01_29.xsd
===================================================================
--- projects/DailyDrillingReport_1.2/XML/HTMLreport/WITSML_drillReport_profiled_schema_2011_01_29.xsd (revision 245)
+++ projects/DailyDrillingReport_1.2/XML/HTMLreport/WITSML_drillReport_profiled_schema_2011_01_29.xsd (revision 246)
@@ -435,7 +435,7 @@
 			<!-- PROFILE: Deleted element presSqueezeHeld -->
 			<!-- PROFILE: Deleted element presSqueeze -->
-			<xsd:element name="eTimPresHeld" type="witsml:timestamp" minOccurs="0" maxOccurs="1">
-				<xsd:annotation>
-					<xsd:documentation>Time pressure held.</xsd:documentation>
+			<xsd:element name="dTimPresReleased" type="witsml:timestamp" minOccurs="0" maxOccurs="1">
+				<xsd:annotation>
+					<xsd:documentation>Time pressure released.</xsd:documentation>
 				</xsd:annotation>
 			</xsd:element>
Index: projects/DailyDrillingReport_1.2/XML/HTMLreport/testDocumet_2011_02_07.xml
===================================================================
--- projects/DailyDrillingReport_1.2/XML/HTMLreport/testDocumet_2011_02_07.xml (revision 245)
+++ projects/DailyDrillingReport_1.2/XML/HTMLreport/testDocumet_2011_02_07.xml (revision 246)
@@ -202,5 +202,5 @@
 				<witsml:comments>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Praesent porttitor condimentum mi nec dictum. Quisque sodales lacinia lobortis. Donec interdum.</witsml:comments>
 			</witsml:cementingFluid>
-			<witsml:eTimPresHeld>2011-02-07T14:00:00.000Z</witsml:eTimPresHeld>
+			<witsml:dTimPresReleased>2011-02-07T14:00:00.000Z</witsml:dTimPresReleased>
 			<witsml:annFlowAfter>false</witsml:annFlowAfter>
 			<witsml:topPlug>false</witsml:topPlug>
@@ -252,5 +252,5 @@
 				<witsml:comments>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Praesent porttitor condimentum mi nec dictum. Quisque sodales lacinia lobortis. Donec interdum.</witsml:comments>
 			</witsml:cementingFluid>
-			<witsml:eTimPresHeld>2011-02-07T14:00:00.000Z</witsml:eTimPresHeld>
+			<witsml:dTimPresReleased>2011-02-07T14:00:00.000Z</witsml:dTimPresReleased>
 			<witsml:annFlowAfter>false</witsml:annFlowAfter>
 			<witsml:topPlug>true</witsml:topPlug>
Index: projects/DailyDrillingReport_1.2/XML/HTMLreport/ddr_HTMLReport_transformation_2011_02_07.xsl
===================================================================
--- projects/DailyDrillingReport_1.2/XML/HTMLreport/ddr_HTMLReport_transformation_2011_02_07.xsl (revision 245)
+++ projects/DailyDrillingReport_1.2/XML/HTMLreport/ddr_HTMLReport_transformation_2011_02_07.xsl (revision 246)
@@ -703,6 +703,6 @@
 												<xsl:value-of select="$element_cement//xsd:element[@name='floatHeld']/@sawsdl:modelReference"/>
 											</xsl:variable>
-											<xsl:variable name="url_eTimPresHeld">
-												<xsl:value-of select="$element_cement//xsd:element[@name='eTimPresHeld']/@sawsdl:modelReference"/>
+											<xsl:variable name="url_dTimPresReleased">
+												<xsl:value-of select="$element_cement//xsd:element[@name='dTimPresReleased']/@sawsdl:modelReference"/>
 											</xsl:variable>
 											<xsl:variable name="url_annFlowAfter">
@@ -751,5 +751,5 @@
 												</td>
 												<td align="center" width="50" valign="top">
-													<a target="_blank" href="{$url_eTimPresHeld}">Pressure release time</a>
+													<a target="_blank" href="{$url_dTimPresReleased}">Pressure release time</a>
 												</td>
 												<td align="center" width="50" valign="top">
@@ -803,5 +803,5 @@
 												</td>
 												<td align="center">
-													<xsl:value-of select="concat(substring-before(substring(witsml:eTimPresHeld, 0,17), 'T'), ' ', substring-after(substring(witsml:eTimPresHeld, 0,17), 'T'))"/>
+													<xsl:value-of select="concat(substring-before(substring(witsml:dTimPresReleased, 0,17), 'T'), ' ', substring-after(substring(witsml:dTimPresReleased, 0,17), 'T'))"/>
 												</td>
 												<td align="center">